Welcome to StuffIt 8.0

StuffIt Express allows you to create drop box applications that automate common compression and file transfer tasks, such as compressing files and uploading them to an FTP server. Click for more information...

ArchiveSearch allows you to find files that are stored in archives without having to open and search through them yourself. Type in the name of the file you need to open, and ArchiveSearch will check all of your StuffIt and Zip archives to find it. Click for more information...

Catalog offers you a unique way to manage the data located in archives both on your local machine and on mapped Network servers. Catalog builds a dynamic list, sorted by format, of all the archives on your machine. Click for more information

StuffIt features a powerful self-extracting archive creation utility that allows you to create .exe files that can contain text messages, commands, and can even send you an email message to let you know when and by whom they have been opened. Click for more information...

The OfficeReady StuffIt plug-ins allow you to save your MicroSoft Office documents as Zip and StuffIt compressed files. You can even compress and mail your Word, Excel, and PowerPoint files directly from the application without even launching StuffIt!

Welcome to StuffIt Deluxe™ 8.0

StuffIt Deluxe 8.0 is a fully featured compression program that offers many unique and exciting features that are designed to make it easy for you to create and work with your archives. In addition to creating zip archives, StuffIt 8.0 allows you to create and expand archives in StuffIt X format, a special compression method designed to compress large files up to 50% smaller than zip. StuffIt 7.5 will also expand a wide variety of archive formats, including tar, RAR, LHA, and uucode. StuffIt Deluxe is the best way to transfer files on the Internet.

Introducing StuffIt X!

StuffIt X is a revolutionary new archive file format powered by Aladdin’s exclusive ATOM™ compression technology. The new StuffIt X file format integrates compression with security and safety options to meet the requirements of business and today's digital lifestyle.

Whether you’re sending critical documents to business partners, or vacation pictures to your family, StuffIt X is your best solution. In addition to making the smallest possible archives, StuffIt X offers you strong 512bit encryption to protect your files should they fall into the wrong hands, and also features available error correction that helps to prevent data loss in the event that your archives become corrupt as a result of transfer errors or bad media.

Top Reasons to Switch to StuffIt X

  • Strong Encryption - StuffIt X uses strong RC-4 encryption and supports 512bit key lengths.

  • Best Compression - StuffIt X provides our best ever compression.

  • Error Recovery - Error recovery options allows StuffIt to rebuild the contents of a damaged archive.

StuffIt includes the following powerful features to help you work with your archives and encoded files:

  • StuffIt Express

  • ArchiveSearch

  • Catalog

  • SEA Builder

  • OfficeReady StuffIt

If you're using StuffIt for the first time, we'd recommend that you view the "Getting Started" topic before you begin.

If you would like to purchase this or other Aladdin products, or require technical support, please view the Contacting Aladdin topic.

For a version history of the 8.0 product, click here.

Copyright © 1997- 2003, Aladdin Systems, Inc. All rights reserved. OfficeReady StuffIt Copyright © 2001 - 2003 Aladdin Systems, Inc, and KMT Software. All Rights Reserved. StuffIt, StuffIt Deluxe, StuffIt Expander, Expander, DropStuff, StuffIt Express, ArchiveSearch, the StuffIt Clamp, the Aladdin Logo, Aladdin, and Aladdin Systems are trademarks or registered trademarks of Aladdin Systems, Inc. Microsoft and Windows are registered trademarks of Microsoft Corporation. OfficeReady is a trademark of KMT Software. Other brand and product names are the trademarks or registered trademarks of their respective owners. Use of this product is subject to acceptance of the Aladdin Systems License Agreement included in this package. Rev. 1/ 03


Getting Started

The following topics are designed to get you started with the StuffIt application and include basic information about creating and expanding archives and encoded files. The easiest way to use the StuffIt application is to Drag and Drop the files that you want to compress, or the archives you want to expand.

  • Using Drag and Drop to Expand and Compress Files

  • Expanding Archives and Encoded Files

  • Creating Archives

  • Extracting Files from an Archive

  • Adding Files to an Archive

  • Searching for Files in an Archive

  • StuffIt Wizards

For more detailed information about StuffIt Deluxe open the StuffIt Reference Book.

Copyright © 2003 by Aladdin Systems, Inc. All rights reserved.


Using Drag and Drop

Drag and Drop to Expand

The easiest way to expand archives and encoded files with the StuffIt application is to "Drag and Drop" the file you want to decompress onto the Expand drop area in the StuffIt application.

To Expand an archive:

1. Use the "Folders" tab to select the folder that contains the archive you want to open.

2. Select the archive you want to expand in the "Folder Contents" tab and drag it to the "Expand" drop area. Note: You can also drag and drop from a Windows Explorer folder.

You can also use drag and drop to view the contents of an archive, or open it to add new files.

To View the Contents of an archive:

1. Use the "Folders" tab to select the folder that contains the archive you want to look inside.

2. Select the archive you want to view in the "Folder Contents" tab and drag it to the "View" drop area.

Drag and Drop to Compress

Drag and drop can also be used to create archives.

To Compress files into an archive:

1. Use the "Folders" tab to select the folder that contains the files you want to compress.

2. Select the files you want to view in the "Folder Contents" tab and drag them to the Compress drop area. You can drag and drop your files onto the StuffIt X drop area to create .sitx archives, or onto the Zip drop area to create .zip archives. Note: You can also drag and drop directly from a Windows Explorer folder.

Note: If you want to view the contents of the archive you have just created, click the "View Archive" button on the Drag and Drop caption bar.

Password Protection: When you create an archive using the compress drop area, you can turn password protection on or off by clicking the password button in the Drop Area caption bar.

Mailing the archive: You can add the archive you just created to an email message by clicking the Email button in the Drop Area caption bar.

Next: Expanding Archives and Encoded Files


Expanding Archives

Expanding Archives and Encoded Files

The StuffIt Application provides several ways to expand archives and encoded files.

In a Windows Explorer Folder:

Double Click: When the archive or encoded file is associated with the StuffIt application, you can expand by double-clicking it. The StuffIt application will display a progress bar while expanding the file, and will place the contents of the archive in the same Windows Explorer folder as the archive itself. The first time you double click a StuffIt (.sit) or Zip (.zip) archive, you will be asked whether you want these archive to be immediately expanded, or opened for viewing. If you choose open for viewing, the contents of the archive will be displayed in the ArchiveView panel of the StuffIt application.

Right Click: When you right click an archive or encoded file, you can choose the Expand command to immediately Expand the contents of the archive to the same Windows Explorer location as the archive. If you right click on a StuffIt (.sit) or Zip (.zip) archive you will see View available as a second command. Choosing View will open the archive in the StuffIt application so you can view the contents.

In the StuffIt Application:

Drag and Drop: You can use the Folders tab to navigate to the directory that contains the files you want to expand, and then drag the files you want to open from the Folder Contents panel to the Expand drop area. For more information on Drag and Drop, please view the Drag and Drop topic.

StuffIt supports all popular archive, compression, and encoding file formats. Click here for a complete list.

Next: Creating Archives


Creating Archives

The StuffIt application provides several ways to create archives.

In a Windows Explorer Folder:

StuffIt Context Menu: When you right click a file or folder in the Windows environment, the StuffIt context menu is available to provide an easy way to archive the selected items. Choose Compress from the StuffIt menu to compress the selected items into an archive. StuffIt will use the format that is currently specified as the default in the Compress Tab of the Options sheet. For more information on the StuffIt Context menu, and its available options, please view the StuffIt Context Menu topic.

In the StuffIt Application:

Drag and Drop: You can use the Folders tab to navigate to the directory that contains the files you want to compress, and then drag these files from the Folder Contents panel to either the Zip or StuffIt X drop areas.. For more information on Drag and Drop, please view the Drag and Drop topic.

Creating a New Archive in ArchiveView: For more complex compression tasks you can create a new archive using the archive viewer. This is the best method if you need to add multiple files from various locations to the archive you are creating. To create a new archive in ArchiveView:

1. Click the New Archive button in the Toolbar.

To add content to this new archive:

1. Use the Folders Tab to navigate to the folder that contains the files you want to archvie.

2. Drag the files you want to archive from the Folder Contents Tab into the new archive window.

If you want to add files from a different location to the new archive, you can use the Folders Tab to navigate to a new folder, and drag files from the Folder Contents panel to the new archive.

You can also Drag and Drop Files into the new archive from a Windows Explorer Window.

The Add Files dialog provides a more powerful way to add files, allowing you to add files based on name and date criteria. For more information on the Add Files dialog, please view its topic.

Next: Extracting Files from an Archive


Extract Files from an Archive

StuffIt allows you to view the contents of a StuffIt or Zip archive, and allows you to extract individual files without expanding the whole archive.

Viewing the Contents of an Archive: To view the contents of a StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the file from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archive open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

You can Extract a file by right clicking it in ArchiveView, and clicking the Extract Files button on the StuffIt toolbar. This action will result in a dialog allowing you to browse for a location in which to save the file.

Double-clicking a file in an archive will cause the file to be opened.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, an archive can also contain a directory structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (ie move up a level in the directory) double click the "Up a Level" folder.

Next: Adding Files to an Archive


Add Files to an Archive

To add files to an existing archive, the archive must first be opened in the StuffIt application.

Viewing the Contents of an Archive: To view the contents of a StuffIt X (.sitx), StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the file from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archives open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

When an archive is open in ArchiveView, you can add files by dragging them to the ArchiveView dialog from a Windows Explorer folder, or the Folder Contents panel. You can add folders to an archive by dragging them from either Windows Explorer or the Folders tab.

You can also add files to an archive using the Add Files dialog. The Add Files dialog is designed for complex archiving tasks, and allows you to add files by criteria such as name and date.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, an archive can also contain a folder structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (i.e. move up a level in the directory) double click the "Up a Level" folder.

Next: Searching for Files in an Archive


Searching for Files in an Archive

StuffIt includes ArchiveSearch, technology that allows you to search for files that are stored within StuffIt and Zip archives.

Open ArchiveSearch: To open the ArchiveSearch dialog, click the ArchiveSearch button on the Toolbar, or click the ArchiveSearch tab.

Searching for Files: ArchiveSearch works much like the Find Files feature in Windows. To search for a file located in an archive:

1. Enter the name of the file you are looking for in the "Search for Files or Folders named..." field.

2. Choose the drive that contains the archives you wish to search in the "Look In" field. You can choose to search all drives by choosing My Computer.

3. Click the Search Now button to begin the search.

Files that match your request will be displayed in the Search Results panel. You can then choose to extract a matching file from its archive, expand the whole archive, or open the archive that contains the file in ArchiveView.

Search Criteria: ArchiveSearch allows you to narrow you search using a number of parameters.

  • Date: Click the Date check box to reveal options that allow you to narrow the search by specifying the date range in which the file you are looking for was modified.

  • Type: The "Type" field allows you to specify the type of document you are looking for. You can use this field, for example, to narrow the search to only Excel Workbooks.

  • Size: The size field allows you to narrow the search based on the size of the file you are looking for. You can specify that ArchiveSearch only return files larger than, or smaller than, a specified size.

  • Format: The formats field allows you narrow the search so that ArchiveSearch will only look in StuffIt archives, or only look in Zip archives.

Search Options: ArchiveSearch also lets you exclude certain folders from the Search. This can be helpful, as often you may find archived files in the Windows System directory that typically will not need to be searched. You can add or remove excluded folders in the ArchiveSearch tab of the Options sheet.

Next: StuffIt Wizards


StuffIt Wizards

StuffIt Wizards are designed to make it easy for you to create an archive, and then send that archive via email or FTP. StuffIt Wizards allow you to perform archive and file transfer tasks using a step by step interface that is very easy to use. The following Wizards are available:

  • New Archive Wizard

  • Archive and FTP Wizard

  • Compress and Email Wizard

The New Archive Wizard

The new archive wizard uses a step by step interface to walk you through the process of compressing files and folders into a new archive. You can choose to create archives in either Zip, StuffIt, or StuffIt X format. The New Archive Wizard contains the following steps:

  1. Choose Files: Prompts you to select the files and folders to be added to the new archive.

  2. Compression Options: Prompts you to select the archive format to be used. Other options related to the creation of the archive can also be set via this dialog.

The Compress and Email Wizard

The compress and email wizard uses a step by step interface to walk you through the process of compressing files into an archive, and sending that archive to other people using email. You can choose to create archives in either Zip, StuffIt, or StuffIt X format. The compress and Email wizard sends the email directly from the StuffIt application. Your regular email client is not used. The Compress and Email wizard contains the following steps:

  1. Choose Files: Prompts you to select the files and folders to be added to the new archive.

  2. Compression Options: Prompts you to select the archive format to be used. Other options related to the creation of the archive can also be set via this dialog.

  3. Email details: This dialog allows you to specify one or more email recipients to receive the archive you have created via email. You can also use this dialog to enter a subject and message for your email.

Click here for more details about the Email dialog.

The Compress and Upload via FTP Wizard

The Compress and Upload via FTP Wizard uses a step by step interface to walk you through the process of compressing files into an archive, and then uploading that archive to an FTP server. You can choose to create archives in either Zip, StuffIt, or StuffIt X format. The compress and FTP wizard uploads the file to an FTP server directly from the StuffIt application. An external FTP client is not used. The compress and FTP wizard contains the following steps:

  1. Choose Files: Prompts you to select the files and folders to be added to the new archive.

  2. Compression Options: Prompts you to select the archive format to be used. Other options related to the creation of the archive can also be set via this dialog.

  3. FTP Details: This step prompts you to enter the server and login information for the FTP site to which the archive should be uploaded.

Click here for more information about configuring the FTP section of the Compress and FTP wizard.

End of Getting Started.


StuffIt Reference

StuffIt Reference Guide

This book is designed to provide more detailed information about particular areas of the StuffIt application, and about compression in general. This book also contains information about the various options that can be set in the StuffIt application, and their effect. The StuffIt application includes a complete command line syntax that is also described in this section.

This topic is broken up into to several sections. The first deals with the various ways you can work with the StuffIt application to create and expand archives.

  • Working with the User Interface

  • ArchiveView

  • Add Files Dialog

  • Drag and Drop Windows

  • StuffIt Context Menu

The second section describes the various functions of the left hand panel, or "Explorer Bar", of the StuffIt application.

  • Folders Tab

  • ArchiveSearch Tab

  • ArchiveInfo Tab

  • Catalog Tab

  • Deluxe Info Tab

The third section covers the various actions available through the StuffIt toolbar buttons, and the menu bar.

  • StuffIt Toolbar Buttons

  • Menu Items

The fourth section covers the StuffIt options dialog.

  • StuffIt Application Options

The last section covers various topics related to the StuffIt application and compression.

  • Command Line Options

  • Supported Archived and Encoding Formats

  • Compression Primer

  • StuffIt, NTFS, and Macintosh Files


Working with the UI

Working with the StuffIt User Interface

The goal of the StuffIt application interface is to provide you with a comfortable and familiar way to browse the contents of an archive. The other important goal of the interface is to present the other archiving tools that StuffIt offers.

The application’s interface contains 6 key areas; a menu bar, a tool bar, a side bar, an upper right area, a lower right area, and a status bar:

  • Menu Bar: The menu bar is always displayed while the application is running. It cannot be turned off

  • Toolbar: The tool bar can be turned on and off using the Toolbar menu item in the View menu. The buttons at the far left of tool bar are click buttons used to perform the labeled action. The next set of buttons are designed to function as radio buttons, meaning only one can be active at a time. The button, when clicked, highlights to indicate that its function is now active. The first set of radio buttons is used to switch the functionality of the left side bar. The second set of radio buttons is independent of the first and is used to switch the functionality of the upper right window.

  • Left Side Bar: The left side bar is designed to house functionality that compliments the task of creating or viewing an archive. It can be used to display ArchiveSearch, ArchiveInfo, a Folder Tree view, a view the Catalogs all files on the system that can be opened with StuffIt, and (when the application is in Standard Mode) an upsell message for StuffIt Deluxe. The function of this area can be switched via radio mode buttons in the toolbar.

  • Lower Right Window: The function of the lower right window depends on the current state of the left panel. The user cannot switch it independently.

Left Side Bar | Lower Right Window
ArchiveSearch | Search Results
FolderTree | Selected Folder contents
Catalog | Not Displayed.
ArchiveInfo | Not Displayed
Deluxe Upsell (for Standard Edition Only) | Not Displayed.

  • Upper Right Window: The function of the upper right window is to display functions related to creating, viewing, or expanding archives. The window can be switched between various states, and can be used to display ArchiveView, Drag and Drop panels, and StuffIt Wizards. The function of this window can be switched using radio mode buttons in the StuffIt Toolbar.

  • Status Bar: The status bar is used to display any current action being performed by the application that is not represented by an independent progress bar.

Next: ArchiveView


Viewing the contents of an archive

ArchiveView

StuffIt allows you to view the contents of a StuffIt or Zip archive, and allows you to extract individual files without expanding the whole archive.

Viewing the Contents of an Archive: To view the contents of a StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the archive from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archives open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, so an archive can also contain a folder structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (ie move up a level in the directory) double click the "Up a Level" folder.

Fig: Archive open in ArchiveView

Extracting Files from an Archive: The Extract Files dialog is used when you select files in an open archive and click the "Extract Files" button, or when you right click a file in ArchiveView and choose Extract from the context menu. The dialog displays a list of the selected files, and allows you to browse for a location on your hard drive to which they should be saved.

Adding Files to an Archive: When an archive is open in ArchiveView, you can add files and folders to an archive by dragging and dropping them from a Windows Explorer Window.

You can also Add Files to an archive using the Folders tab. Select the folder that contains the files you want to add in the Folders tab, and then drag and drop the files from the Folder Contents window to Archive View.

Creating StuffIt X archives in ArchiveView

When creating a StuffIt X archive in ArchiveView, there are some special situation that can occur. StuffIt X archives support several features that result in the archive becoming Read Only, these are error correction and Text Encoding. These attributes can only be applied after you have finished adding files to an archive. If you have configured the Advanced Format Options dialog so that StuffIt X archives are created with either Text Encoding or Error correction, these attributes will only be applied when you close the archive.

When you see this dialog after closing a StuffIt X archive, click "Yes" to process the archive and apply Text Encoding and/or Error Correction. Click No to save the archive without these attributes.

If you re-open the archive you have just created, you will notice that ArchiveInfo now describes the archive as "Read Only". This means that you can view the contents of the archive, and extract individual files from it, but you cannot add new items or delete existing ones.

Next: Add Files Dialog


Add Files Dialog

The Add Files dialog is designed to provide a powerful tool to use when creating and maintaining complex archives. Using the Add Files dialog you can:

  • Add Files to an existing archive

  • Add files based on their date of modification.

  • Add files based on matches to a specified search string.

  • Add files using wild card characters.

  • Save a list of files to add for later use.

Adding Files and Folders.

The "General" tab of the Add Files dialog contains the "Files to Add" list, along with several buttons that offer different ways to select those files you wish to add.

Add Files: This button opens a file selection dialog that allows you to browse for, and then select, files to add to the archive.

Add Folders: This button opens a folder selection dialog that allows you to browse for, and then select, folders to add to the archive.

Add Filter: Rather than simply allowing you to add specific files and folders to an archive, the Add Filter feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

Files can be added to an archive based on their matching the following parameters:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders in the specified location also be included in the search.

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

  • Archive Attribute: The Windows operating system maintains a file attribute called the "Archive bit". When a file is modified, the archive bit is set to indicate that the file should be backed up. Add all files from a particular folder based on whether the archive bit has been set is a great way to make sure that you grab all the files that have recently changed.

Fig: The add Filter dialog configured to add all files with a ".doc" extension located in the "Other Aladdin Products" folder, or any of its sub-folders.

When you exit the Add Filter dialog, a line item is added to the Files to Add list that describes the options you have set. When you exit the Add Files Dialog, StuffIt will search for files that match your criteria and add them to the currently open archive along with any other files and folders you may have selected. To preview the files that will be added as a result of a Add By Criteria task, you can double click its item in the Files to Add list. The StuffIt application will search your hard drive and display a list of all the files that match the criteria you specified.

When items have been added to the Files to Add list, there are several options available that allow you to manage this list:

Remove: Select an item in the list and click the "Remove" button to remove it from the list.

Save List: The save list button allows you to save the current list as a document. You can then use the Load List button to reload this list to perform the same archive task at a later date.

Tip: The ability to Load and Save the Files to Add dialog allows you to very easily maintain an archive that contains backup copies of all your recently used files. Click for a tutorial.

Next: Drag and Drop Windows


Drop Areas

The StuffIt application features four available drop areas, designed to allow you to quickly accomplish tasks by dragging and dropping files and folders.

Expand:

Drag and Drop archives and encoded files to the Expand drop area to expand their contents. The contents of the archive will be immediately saved to disk. You can specify the location where the contents of the archive will be expanded in the Destination tab of the Options sheet.

View:

Drag and Drop Zip (.zip) and StuffIt (.sit) archives to the View drop area to open them for viewing in the StuffIt application.

Compress (StuffIt X):

Drag and Drop files and folders to the compress drop area to create archives. The archive that is created is immediately saved to disk. You can specify the location where the archive will be created in the Destination tab of the Options sheet.

Tip: You can view the StuffIt X format settings by hovering the mouse over the StuffIt X compression drop area. If you want to edit the StuffIt X compression settings, right click on the StuffIt X compression drop area and choose "StuffIt X Format Options" from the menu.

Compress (Zip)

This drop area works the same as the Compress drop area, except that the archive is created in Zip format.

Drop Area Compression Options:

The caption bar of the Drag and Drop window contains several buttons that allow you to quickly change how compression tasks will be performed.

Password Protection: You can decide whether or not to password protect the archives you create via the drop area by using the Password Protection button. This button has two states, on and off, click the button to switch between the two. When you create an archive with password protection you will be prompted to enter a password before the archive is created.

IMPORTANT NOTE: Make sure to keep your password in a safe place. Aladdin is not able to recover the contents of an encrypted archive whose password has been lost. Also, be aware that passwords are case sensitive.

Compress and Mail: You can choose to have the archive you create automatically attached to a new email message by using the Compress and Mail button. This button has two states, "Mail" and "Don't Mail", click the button to switch between the two states.

Open Archive: You can choose to have the archive you create automatically be opened for browsing and or editing in the StuffIt Deluxe application. Click the "Open Archive" button to have Deluxe open your new Zip or StuffIt X archive as soon as it has been created.

Configuring the Drop Area Appearance:

Configuring which Drop Areas are Displayed: You can choose when drop areas are displayed by Choosing "Drop Areas" from the Views menu, and checking or unchecking the areas you want to turn on and off. If you need to turn more than one area on or off, you can choose "Choose Drop Area" to open a dialog that allows you to check which drop areas you would like turned on.

Expander Mode: The StuffIt application includes a special mode that mimics the look and feel of StuffIt Expander, Aladdin's stand alone file decompression tool. This mode removes the left hand tab panel, and the Folder Contents panel, from the application, leaving a single Expand Drop area available. This mode is useful if you want to keep the StuffIt application open, but want to minimize the amount of screen real estate that is used. You can switch to Expander mode by choosing "Expander Mode" from the Views menu. You can choose DropStuff Mode from the Views menu to open a similar view, where a single compress drop area is displayed.

Next: StuffIt Context Menu


StuffIt Context Menu

The StuffIt Context menu allows you to create archives in a Windows Explorer folder without first having to launch the StuffIt application. To create an archive from files or folders in a Windows Explorer folder, select the files you want to compression, and click them with the right mouse button. Choose Compress from the StuffIt Menu to create an archive in the format specified in the Compression tab of the Options sheet.

The following options are available from the StuffIt Context menu:

  • Compress: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet.

  • Archive: The archive sub-menu lists all of the available archive file formats. Also included are options that allow you to create Tar archives that have been further compressed using Gzip, Bzip, or Unix Compress compression formats.

  • Encode: The encode sub menu lists all of the available encoding formats.

  • Compress: The compress menu lists all of the single item compression formats. These formats allow only a single item to be compressed at once, and as such are typically used to compress tar archives.

  • Compress and Open: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive is then opened for browsing in the StuffIt application.

  • Compress and Mail: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive is then attached to a new email message created with the current default email application.

  • Encrypt: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The user will be prompted to enter and confirm a password used to encrypt the resulting archive.

  • Make Self-Extracting: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive will then be opened in the SEA creation tool where self extracting options can be set. Note: When using StuffIt Standard, the archive will automatically be made into a simple self-extracting archive.

  • Compress with Options: A one time options dialog is created that allows the user to set options that will apply only to the current compression task.

Next: Folders Tab


Folders Tab

The Folders tab is used to navigate the folders on your hard drive. This allows you to quickly find the files and folders you wish to archive. The advantage of having this navigation tool built into the StuffIt application is that you do not have to open a lot of Windows Explorer folders to access your files.

When you switch to the Folders tab, the lower right panel in the StuffIt application is used to display the contents of the currently selected folder. The files located in a particular folder are displayed in the Folder Contents window, and not in the Folder Tree itself. You can double click or drag and drop files in the Folder Contents panel in the same way you would were they in a Windows Explorer folder.

Views Button: The Views button is used to switch the way in which the files and folders in the Folder Contents tab are presented. You can choose to use one of several available icon views, or you can have the contents displayed as a list by choosing "Details". When the contents of a folder are displayed using the "Details" view, you can change the criteria used to sort the list by clicking the column headings. Click the column heading again to reverse the order of the sort.

Up a Level Button: The Up a Level button allows you to move to the parent of the folder whose contents are currently being displayed.

Next: ArchiveSearch Tab


ArchiveSearch Tab

StuffIt includes ArchiveSearch, technology that allows you to search for files that are stored within StuffIt and Zip archives.

Open ArchiveSearch: To open the ArchiveSearch dialog, click the ArchiveSearch button on the Toolbar, or click the ArchiveSearch tab.

Searching for Files: ArchiveSearch works much like the Find Files feature in Windows. To search for a file located in an archive:

1. Enter the name of the file you are looking for in the "Search for Files or Folders named..." field.

2. Choose the drive that contains the archives you wish to search in the "Look In" field. You can choose to search all drives by choosing My Computer.

3. Click the Search Now button to begin the search.

Files that match your request will be displayed in the Search Results panel. You can choose to extract matching files from their archives, expand the whole archive, or open the archive that contains the files in ArchiveView.

Search Criteria: ArchiveSearch allows you to narrow you search using a number of parameters.

  • Date: Click the Date check box to reveal options that allow you to narrow the search by specifying the date range in which the file you are looking for was modified.

  • Type: The "Type" field allows you to specify the type of document you are looking for. You can use this field, for example, to narrow the search to only Excel Workbooks.

  • Size: The Date field allows you to narrow the search based on the size of the file you are looking for. You can specify that ArchiveSearch only return files larger than, or smaller than, a specified size.

  • Format: The formats field allows you narrow the search so that ArchiveSearch will only look in StuffIt archives, or only look in Zip archives.

Search Options: ArchiveSearch also lets you exclude certain folders from the Search. This can be helpful, as often you may find archived files in the Windows System directory that typically will not need to be searched. You can add or remove excluded folders in the ArchiveSearch tab of the Options sheet.

Next: Archive Info


ArchiveInfo

The Archive Info Tab displays information about the currently open archive. The ArchiveInfo tab is split into two areas; The top area displays information about the archive file, and the lower area displays information about files contained in the archive that have been selected. The ArchiveInfo tab also displays buttons that allow you to quickly perform common actions such as saving changes to an archive file, or adding a password.

The following information about the archive file is displayed:

Archive Name: When you hold the cursor over the name of the archive, a tool tip will reveal the location of the archive file on your hard drive.

Format: Either Zip or StuffIt archives can be opened for viewing in ArchiveView. Tip: you can change the format of an existing archive by using the Save As command in the File menu.

Date: Date lists the date and time on which the archive file was last modified.

Size: Size reveals how large the archive file is.

Num. of Files: Lists the number of files contained in the archive file.

Password: Reveals if the items in the archive are protected with a password. If no password is being used, the "Add Password" button is created to allow you to quickly add one.

Is Modified: The modified item reveals whether the archive file has been changed since it was last saved. If the archive contains unsaved changes, the "Save" button is created to allow you to save the archive.

Segment Archive Button: Allows the user to split the current archive into smaller pieces so that it fits on a removable disk.

Open Archive Folder: Opens the folder that contains the archive file in a Windows Explorer folder.

The ArchiveInfo tab displays the following information about a file that has been selected in the currently open archive.

Name: Reveals the name of the file.

Folder: Reveals the location of the file with in the current archive.

Size: Lists the original size of the file before it was compressed.

Comp. Size: Lists the size of the compressed file in the archive.

% Saved: Reveals the compression ration.

Extract: Extracts the selected file form the archive.

The File Info section of the ArchiveInfo tab also reveals information about multiple file selections. As more than one file is selected, the Size, Comp. Size, and % Saved fields change to indicate the value for all selected files. When multiple files are selected, the "Extract" button allows you to remove all the selected files from the archive.

Next: Catalog Tab


Catalog Tab

The Catalog tab is designed to provide a quick and easy way to find archives and encoded files located on your computer, on any mapped network drive, or any inserted removable media such as CD ROMs. When you open the catalog tab, it will immediately start the process of building a list of available archives. The list of archives is sorted by archive format, the following archive types are cataloged:

    • Zip (.zip)

    • StuffIt (.sit)

    • StuffIt X (.sitx)

    • RAR (.rar)

    • Tape Archives (.tar)

Once the process of building the catalog has completed, the results are displayed in the tab. Both the name of the archive, and its location are displayed. If you double click one of the archives, you will be prompted to either open it for browsing or to immediately start expanding its contents.

You can choose additional actions by right clicking on a file in the list:

    • View: Opens the selected archive for browsing in the StuffIt Deluxe application.

    • Expand: Expands the contents of the selected archive.

    • Reveal: Opens the directory that contains the file in Windows Explorer.

    • Mail: Attaches the selected archive to a new email message.

    • Delete: Deletes the selected archive.

You can also set options to specify exactly how the Catalog feature behaves. For information on setting options in Catalog, click here.

Next: Deluxe Info Tab


Deluxe Info Tab

This tab is only used in StuffIt Standard Edition. The Deluxe Info tab is used to display information about purchasing the StuffIt application if it is unregistered, or is used to display information about StuffIt Deluxe if you are currently using StuffIt Standard Edition.

Next: Tool Bar Buttons


Tool Bar Buttons

This topic is designed to provide a tour of the Toolbar buttons in the StuffIt Application:

  • New Archive: The New Archive button is used to create a new archive. A new empty archive will be opened in Archive view. You can add content by dragging and dropping files from a Windows Explorer folder, or the Folder Contents panel within the StuffIt application. You can also add files using the Add Files dialog.

  • Open Archive: Opens a dialog that prompts you to select an archive to be opened in ArchiveView.

  • Add Files: Opens the Add Files dialog. This button is only active when an archive is open in ArchiveView.

  • Extract Selected: This button will extract selected files from an archive open in ArchiveView. You will be prompted to specify a location for these files. This button will only be active when an archive is open, and files have been selected.

  • Make Self-Extracting: This button will close an archive that is open in ArchiveView, and re-open it in the Make Self Extracting dialog. This button is only active when an archive is open in ArchiveView. If the archive is modified, you will be prompted to save your changes.

  • Folders: Switches the left hand panel to the Folders tab. If the left hand panel has been closed, clicking the Folders button will cause it to open.

  • Search: Switches the left panel to the ArchiveSearch tab. If the left panel has been closed, clicking the Search button will cause it to open.

  • Info: Switches the left panel to the ArchiveInfo tab. If the left panel has been closed, clicking the Info button will cause it to open.

  • Drag and Drop: Switches the upper right panel to the Drag and Drop view. If an archive is currently open in ArchiveView, it will not be closed. Click the View button to switch back and view the contents of the archive. If the upper right panel has been closed, clicking the Drag and Drop button will cause it to open.

  • View: Switches the upper right panel to the ArchiveView view. If the upper right panel has been closed, clicking View will cause it to open.

Next: Menu Items


Menu Items

This topic is designed to provide an overview of the Menu items available in the StuffIt application

File Menu:

    • New Archive: Creates a new empty archive in ArchiveView.

    • Open Archive: Creates an select file dialog, prompting you to choose an archive to open in ArchiveView.

    • Save As...: Allows you to save an archive open in ArchiveView as a new file.

    • Recent Archives: Recent archives contains a sub menu that lists archives that have recently been opened or created in ArchiveView. The number of archives listed can be modified in the General Tab of the Options sheet.

    • Close Archive: Closes the currently open archive document.

    • Exit: Close the StuffIt Application

Edit Menu:

    • Application Options: Opens the StuffIt application Options dialog.

    • Advanced Format Options: Opens the StuffIt Deluxe advanced format options dialog. This dialog allows you to set options that determine how archives in the various supported formats will be created.

Expand Menu:

    • Extract: This menu item is active only when an archive is open in ArchiveView and items have been selected. The Extract menu item creates a dialog that allows you to choose a destination on your hard drive to which the selected files with be extracted.

    • Extract to Desktop: This menu item is active only when an archive is open in ArchiveView, and files have been selected. The Extract to Desktop menu item causes the selected items to be extracted to the desktop.

    • Expand Archive: This menu item is active only when an archive is open in ArchiveView. The Expand Archive menu item causes the entire archive to be expanded.

Archive Menu:

    • Add Files: Opens the Add Files dialog. The Add Files dialog is used to add multiple files at once to an archive open in ArchiveView.

    • Make Self Extracting: This button is active only when an archive is open in ArchiveView. The Make Self-Extracting Menu item opens the current archive in the StuffIt SEA utility.

    • Password Protect: This menu item is active only when an archive is open in ArchiveView. It allows you to encrypt the currently open archive with a password.

    • Mail: This menu item is active only when an archive is open in ArchiveView. It adds the currently open archive as an attachment to a new mail message.

    • Segment: This menu item is active only when an archive is open in ArchiveView. It allows you to split the current archive into smaller pieces.

    • Archive Comments: Opens the archive comments dialog that allows you to

View Menu:

    • Toolbar: This menu allows you to turn the toolbar on and off.

    • Status Bar: This menu item allows you to turn off the status bar.

    • Explorer Bar: This menu item allows you to choose which of the tabs will be displayed in the Explorer bar in the left hand panel of the application.

    • Drop Areas: This menu item allows you to choose which of the available application drop areas are displayed.

    • DropStuff Mode: This menu item allows you to switch the User Interface of the StuffIt application to Drop Stuff mode. In this mode, only a single drop area is displayed, allowing you to drag and drop files and folders to compress them into new archives.

    • Expander Mode: This menu item allows you to switch the User Interface of the StuffIt application to StuffIt Expander mode. In this mode, only a single drop area is displayed, allowing you to drag and drop archives and encoded files to expand them.

    • ArchiveView Mode: This menu item allows you to switch the User Interface of the StuffIt application to ArchiveView mode. In this view the over-all size of the application is reduced, and only the ArchiveView windows is displayed.

    • Compact Mode: This menu item allows you to switch the User Interface of the StuffIt application to Compact mode. In this view the over-all size of the application is reduced, and only the Drag and Drop areas are displayed.

Tools Menu:

    • Quick Compress/Encode: This menu item contains a sub-menu that lists all the formats that the StuffIt application is able to create. When you pick a format from the list, a dialog will be created allowing you to pick a file to compress or encode.

    • StuffIt Express: This menu item allows you to launch the StuffIt Express application.

    • SEA Builder: This menu item allows you to launch the StuffIt SEA Builder.

    • Wizards: Allows you to launch the various Wizards that are available in StuffIt Deluxe.

    • Convert Archives: Allows you to convert archives to StuffIt X format.

Help Menu:

    • Help Topics: This menu item open the Help file, and displays a list of the available topics.

    • StuffIt Tips: Opens the tips dialog.

    • About StuffIt: Opens the StuffIt About Box. You can use the About box to enter your registration code if you have purchased an evaluation copy of StuffIt Deluxe.

Next: Command Line Options

Copyright © 2003 Aladdin Systems, Inc. All Rights Reserved.


StuffIt Options

Application Options (and their effect)

By default the StuffIt application is configured in a way that will suit most users performing basic compression and decompression tasks. In order to determine your personal preference for several key settings, the application will ask you what you would like to do the first time they are performed. For example, the first time you double click on an archive in a Windows Explorer folder, you are asked whether you would like to open it for browsing, or immediately expand the contents. When you make your choice, this preference will be remembered for the next time you do the same task.

If you want to change any of the settings for the StuffIt application, choose Options from the edit menu to open the Options dialog. The following pages are available that allow you to control all aspects of the application:

  • General

  • Associations

  • Destination

  • Temporary Folder

  • Expanding

  • Compression

  • ArchiveView

  • Drag and Drop

  • Context Menu

  • ArchiveSearch

  • Catalog

  • Internet


General Tab

The General tab contains settings that apply broadly across the application.

Double Click Browse-able Archives: When you double click browse-able archives you can choose to either open then for browsing in the StuffIt application, or immediately expand the contents. Click the "View" radio buttons to view supported archives, or click the "Expand" radio button to immediately expand the contents.

Check for New Versions of StuffIt at Application Launch: When this option is set, the StuffIt application will check online at every launch to see if a newer version is available. If a newer version is found you will be asked if you would like to download and install it.

Show Tooltips: Tool tips are the small yellow text tags that appear when you hover the mouse over an object in the StuffIt user interface. Check or un-check the box to show or hide tool tips.

Use Tutorial Mode: Tutorial mode is where the StuffIt application will ask you how you would like some basic compression and decompression tasks to be performed. Once you have answered these questions once, tutorial mode is turned off. If you would like to turn tutorial mode back on (for example if you are a new user working with an existing copy of StuffIt on a computer that belongs to somebody else) click this button.

Recent Archives: The recent archives on the File menu allows you to quickly access an archive that was previously opened in the StuffIt Deluxe application. You can specify how many recent items should be displayed in this menu, and you can also choose to clear items from this menu.

Create Desktop Icons for DropStuff and Expander: This button will create desktop icons called StuffIt Expander and DropStuff. You can drag and drop archives and Encoded files to the StuffIt Expander desktop icon to expand them, or you can drag and drop files and folders to the DropStuff icon to create archives.

Next: Associations


Associations Tab

The Associations tab governs what types of files the Windows OS will attempt to open with the StuffIt application when they are double clicked. The Associations page is laid out so that every supported format has a check box. The description of each format that is provided also includes a list of the file extensions that files in this format are known to use. In many cases, a particular file type will have more than one extension.

When the box is checked, files in this format will be opened with the StuffIt application. When the box is unchecked, the StuffIt application will not be used to open this type of file. You can assign a file type to StuffIt by checking its box. The changes are not made until you click the OK button to exit the dialog. You can cancel any changes before you click the OK button, by clicking the Cancel button. When you click the Cancel button, all changes will be lost.

The "Select All File Associations" buttons will cause all supported formats to be associated with the StuffIt application.

Warn me if StuffIt is not associated with all supported file types:

When this box is checked, the StuffIt application will warn you, every time it is launched, if it is not associated with all supported archives and encoded files. This can be useful if another application takes an association away from StuffIt without your knowledge. You can turn this warning off by unchecking this box.

Next: Destination


Destination Tab

The destination tab is used to tell the StuffIt application where files are to be created. The Expansion destination is used to specify where files are to be saved after an archive has been expanded, and the Compression destination is used to specify where a newly created archive should be saved.

Compression Destination

Same as Original: When this option is selected, the archive will be created in the same folder as the files that were compressed.

Ask Each Time: When this option is selected, the StuffIt application will ask where to create the new archive for every compression task.

Use: This option is used to specify a default location where archive will be created. This option can be used, for example, to cause all new archives created to be saved in the My Documents folder.

Expansion Destination

Same as Original: When this option is selected, files extracted from the archive will be saved in the same folder as the archive itself.

Ask Each Time: When this option is selected, the StuffIt application will ask each time where to save files after an archive has been expanded.

Use: This option allows the user to specify that the same location be used to save files every time an archive is expanded. This option can be used, for example, to save files from expanded archives in the My Documents folder.

Next: Temporary Folder


Temporary Folder

On occasion, StuffIt will need to perform a task that requires information to be written to your hard disk on a temporary basis. When this occurs, a temporary folder will be used. The settings on this page allow you to:

  • Change the location of this folder.

  • Empty the contents of this folder.

  • View the contents of this folder.

Next: Expansion


Expansion Tab

The Expansion tab contains settings that apply when you expand archives and encoded files.

Overwrite Action: This setting allows you to determine how the StuffIt application will handle a situation where a file being expanded from an archive has the same name as a file that is already in the target directory. You can choose to have the StuffIt application always ask you what to do (recommended), or you can choose one the following additional options:

  • Rename Expanded File; the file being expanded will have _1 appended to its name.

  • Always Replace; Files being expanded from the archive will always replace files in the existing location.

  • Skip; files in the archive will not be expanded when an item with the same name exists in the target location.

Create Surrounding folder: This option is used to determine whether files being expanded from an archive should be placed in a newly created folder. The following options are available:

  • Always; the surrounding folder is always created.

  • Never; the surrounding folder is not created.

  • When Archive contains multiple items; a folder will be created only when the archive being expanded contains multiple items.

Further Expansion

Continue to Expand when the result is a Single File: This option is designed to allow the StuffIt application to automatically expand a zip file that has been .uu encoded. When this option is checked, when StuffIt expands and archive or encoded file, and finds that the result is a single file, it will automatically check to see if that single file can be further expanded.

Delete Intermediate files that have been further expanded: When this option is set, the StuffIt application will automatically delete the intermediate file created in the example above. For example, if StuffIt expands a UUcode file which contains a zip archive, and then goes on to expand the zip archive, the zip archive will be deleted when its contents have been successfully extracted.

Delete original file after successful expansion: When this option is set, StuffIt will automatically delete expanded archives and encoded files.

Next: Compression


Compression Tab

Name Conflict Resolution: This preference effects how StuffIt will handle a file name conflict when creating a new archive on your hard drive. You can either have StuffIt replace the existing file, meaning that the existing file is effectively deleted from your hard drive, or you can have the new file be renamed so as to leave the existing files intact. The new file will be named using an "_1" so that file.zip would become file_1.zip.

Delete Originals after Compression: Using this setting, files added to an archive are automatically deleted when the compression task has been completed. WARNING: Use this option only if you are sure you want the original files to be deleted after they have been added to an archive.

Compress Originals instead of Shortcut: This setting determines what will happen when StuffIt comes across a shortcut among files being added to an archive. With the box checked, StuffIt will add the original file instead of the short cut to the archive.

Compress each item as an individual archive: This option is useful when dragging more than one file to the Compress drop area. It causes each file or folder you choose to compress to be compressed as it's own archive. If you drag and drop 3 files to the compress drop area, the StuffIt application will create three archives, instead of adding all 3 three files to a single archive.

Don't Compress Files that are Already Compressed: The StuffIt application maintains a list of file types that are known to contain compressed data. When this box is checked, StuffIt will automatically add these files to an archive without attempting to compress them. Files that contain compressed data typically cannot be further compressed with a zip utility such as StuffIt. Click for a list of file types that contain compressed data.

Make Self Extracting Archives if Format is StuffIt (.sit) or Zip: When this box is checked, StuffIt will create Zip and StuffIt (.sit, not .sitx) archives as self extracting, or .exe, archives.

Use SEA Builder to make Self Extracting archives: StuffIt Deluxe includes a fully featured SEA creation tool called SEA Builder that offers lots of advanced features. You can choose to create SEA files with this tool, or you can uncheck this box to have SEA's created without using this tool.

Next: ArchiveView


ArchiveView

The ArchiveView page contains settings that apply to the section of the StuffIt application that allows you to browse and edit the contents of an archive.

ArchiveFormat: This toggle menu allows you to choose the default format to be used when creating a new archive in ArchiveView. You can choose StuffIt X (the default), Zip, StuffIt, or Ask. If you choose ask, you will be prompted to specify the new archive format every time you create a new archive.

Format Options: Opens the Compression Options dialog at the page that corresponds to the format selected in the Archive Format toggle menu

View Columns: This setting allows you to specify what column headings are displayed when opening an archive in ArchiveView when the Details view is selected.

Next: Drag and Drop


Drag and Drop

The settings on the Drag and Drop page allow you to control which of the Drop areas are displayed in the application. Each of the areas can be turned off using the check boxes available.

Next: Context Menu


StuffIt Context Menu

The Context Menu page contains settings that relate the to StuffIt Context menu that get loaded in the Windows contextual menu when you right click on files or folders.

Archive Format: This toggle menu allows you to choose the default format to be used when using the "Compress" command in the menu. You can choose StuffIt X (the default), Zip, StuffIt.

Format Options: Opens the Compression Options dialog at the page that corresponds to the format selected in the Archive Format toggle menu

Use the StuffIt Context Menu: This option allows you to turn the context menu on and off.

Delete Archive after "Stuff and Mail": This option allows you to specify that the archive created as a result of using Stuff and Mail will be deleted from your hard drive after the message has been successfully sent.

Next: ArchiveSearch


ArchiveSearch

ArchiveSearch Settings

The ArchiveSearch settings allow you to exclude archives located in particular directories from a search. This can be done to increase the speed with which results are returned. Typically, it is not necessary to search archives located in the Windows or System Directories. Typically, any archives located in these folders are used to store system files, and will not contain documents that you have created. These directories will be excluded by default.

  • Click the "Add" button to browse for folders to add to the exclusion list.

  • Click the "Remove" button to remove a selected folder from the exclusion list.

Next: Catalog Options


Catalog Options

The options on the Catalog page are used to specify how the Catalog feature of the StuffIt application should behave.

Automatically Build Catalog: When checked, this option will cause StuffIt to search your computer for files that can be opened when you first click the Catalog toolbar button. When this option is unchecked, the catalog process can be started by clicking the "Start" button on the catalog page.

Catalog Mapped Network Drives: This option specifies whether networked volumes should be searched when building the catalog of supported files.

Archive Types to Catalog: This option specifies the archive formats to be returned in the Catalog window.

Excluded Directories: The excluded directories list allows you to build a list of folders that will not be cataloged. By default, the Windows and Program Files directories will not be searched.

Next: Internet Options


Internet Options

The Internet Options tab contains information about how the StuffIt Deluxe application connects to the Internet when performing a file transfer via one of the StuffIt Wizards.

FTP Settings: The information in FTP settings allows you to specify a default FTP server for the FTP Wizard. This can save you time as you won't have to type the address of this FTP server every time you want to use it.

Email Settings: Email settings are used to specify how the Compress and Email wizard will send your email message. You will need to specify an SMTP server, your user name, and your email address.


Compression Options

Many of the format supported by the StuffIt application allow you to set options that effect how files added to an archive will be compressed. Typically, these options will be set as a compression level, but in some cases formats can be configured in much more detail. Typically, it is not necessary to adjust these settings. The default values are designed to provide the best performance for every day use. Sometimes, however, you will compress files for an application that requires the best possible compression; in these cases you can use the Advanced Compression Options to increase the level of compression provided.

The following formats can be configured:

  • StuffIt X (.sitx)

  • Zip (.Zip)

  • StuffIt (.sit)

  • Gzip (.gzip)

  • Bzip (Bzip)

Next: StuffIt X Options


StuffIt X

StuffIt X Format Options

Compression Method

Compression method allows you to select different compressors for use when adding files to a StuffIt X archive with compression. Method is passed to the compressor as a value between 0 and 6.

  • Method 1: Method 1 provides compression that is optimized for speed of compression and decompression. It works by replacing a series of bytes with a reference to a previous occurrence of the same series of bytes.

  • Method 2: Method 2 is optimized for the compression of binary files (such as applications) and also for fast decompression. Method 2 works in the same way as Method 1, except that it has a more exact way of representing the offsets and lengths, which makes it compress a little more, but at the cost of slower compression and decompression. Typically Method 2 will provide you with the best results when you’re compressing applications.

  • Method 3: Method 3 provides the best trade off between compression/decompression speed and archive file size and works well on a variety of different file types. This compression method does a reversible sort on the data, which places like data closer together which makes it more compressible.

  • Method 4: Method 4 provides compression that is primarily optimized for text. This compression method works by “predicting” what the next byte will be based on previous data. For example, if it is predicting the byte following “t” and “h”, it will give high probabilities to “e”, and “a”.

  • Method 5: This compression method uses a file filter to determine which of the previous methods should be used to compress a file based on its file type.

  • Method 6: This method breaks the file being compressed into small pieces and compresses each piece with methods 2 through 4. Whichever method produces the smallest output is used for that chunk of data. This makes it very slow but it generally produces the smallest possible files.

Level and Extent

Levels generally set “how hard” each method tries to compress.

In the matching algorithms (method 1 & 2), levels 1-9 generally correspond to Gzip's compression levels. The higher the number the harder it tries to find a match (more compression, but slower). Levels above 9 use a different, more exhaustive search for previous matches, which gets extra compression, but at the expense of speed. In the “prediction” algorithm, the level corresponds to how many previous bytes to use when making the prediction.

Extents generally set how much data is processed at a time.

Extents has a direct relationship to how much memory is used. In methods 1 & 2, the extent sets how far back to look for a match. In method 4, extent sets how much memory to used for storing the prediction information.

As you move the Extent slider, you will see an estimate of how much memory will be used for compression and decompression displayed. The StuffIt application is currently configured to cap compression settings so that the maximum amount of memory required to expand a StuffIt X archive is 64Mb.

Encryption

StuffIt X archives can be created with encryption. There are 4 compression methods supported:

  • 1=RC4 - Supports up to 512bit key lengths.

  • 2=DES - Supports up to 64bit key lengths

  • 3=BlowFish - Supports up to 448bit key lengths

  • 4=AES - Supports up to 256bit key lengths

When you use encryption through on of the options in the StuffIt application, RC4 will be used by default.

Text Encoding

StuffIt X archives can also be converted to ASCII text format. Three text encoding methods are available, Base64, Base 88, and Base 222. The levels of available text encoding determine how much of the full ACSII character set will be used to encode the data.The more characters used, the less size overhead will be imposed as a result of translating the binary data of the archive into text characters. When sending archives via E-mail, it is best to use Base64. This uses the fewest characters, but as a result is the most compatible. Base 222 is a good choice if files are being posted to a news group.

Error Correction

StuffIt X archives can be created with Error Correction. Adding error correction code to an archive will increase its size, but its availability allows the engine to reconstruct data damaged as the result of bad media or transfer errors during the decode phase. You can change the level of error correction that is applied to an archive, the values are defined as the percentage of a block that can be recovered: 1/4, 1/8, 1/16, 1/32, and 1/64. Error correction is off by default.

Optimizers

When optimizers are turned on, StuffIt will look for specific types of files as they are being added to the archive, and always compress them with a compression method that is optimized specifically for that file type. Optimizers are on by default.

Next: Zip


Zip

When compressing with the Zip format you can specify both the compression method and the compression level that is used.

Method

When creating Zip archives with StuffIt, you can choose to use either the Default or the Deflate 64 compression method. Deflate 64 provides slightly better compression, but the cost is that the archives created will not be as compatible with other Zip decompression programs.

Level

Increasing the compression level when creating zip archives has the effect of creating smaller archives, the downside being that compression will take more time.

Next: StuffIt


StuffIt

StuffIt archives support two different compression methods, "Fast", and "Max". As their names suggest, Max makes smaller archives, while "Fast" is optimized for compression speed.

Next: Gzip


Gzip

Gzip is a single file archive format, meaning that a Gzip archives can only contain one file. Typically, Gzip compression is used to compress Tape (.tar) archives that contain multiple other items. The compression level settings for Gzip provides a way of altering the priority between compression size and speed.

Next: Bzip


Bzip

Gzip is a single file archive format, meaning that a Gzip archives can only contain one file. Typically, Gzip compression is used to compress Tape (.tar) archives that contain multiple other items. The compression level settings for Gzip provides a way of altering the priority between compression size and speed.


SITX

StuffIt X

StuffIt Deluxe 8.0 now includes support for the new StuffIt X (,sitx) file format.

About StuffIt X

StuffIt X Options


About the StuffIt X file format

StuffIt X is a revolutionary new archive file format powered by Aladdin’s exclusive ATOM™ compression technology. The new StuffIt X file format integrates compression with security and safety options to meet the requirements of business and today's digital lifestyle.

StuffIt X is name of the new format, and StuffIt X archives have a file extension of .sitx. You can use StuffIt X archives on any version of the Mac OS from 8.6 to 9.x, and any version of Mac OS X 10.1 or later. You can also use StuffIt X archives on Windows.

Whether you’re sending critical documents to business partners, or vacation pictures to your family, StuffIt X is your best solution. In addition to making the smallest possible archives, StuffIt X offers you strong 512bit encryption to protect your files should they fall into the wrong hands, and also features available error correction that helps to prevent data loss in the event that your archives become corrupt as a result of transfer errors or bad media.

StuffIt X archives cannot be expanded by older versions of StuffIt Deluxe or StuffIt Expander. In order to expand a StuffIt X archive, your recipient must have a copy of at least StuffIt Expander 7.0 installed. To make your life easier, Aladdin provides StuffIt Expander for free to any Macintosh or PC user. If you the StuffIt Deluxe CD, you’ll find a copy of StuffIt Expander for Macintosh and Windows included. If you need a copy of StuffIt Expander, visit our website: http://www.stuffit.com/expander

The StuffIt X file format is designed to provide state of the industry compression. When you create archives using the StuffIt X file format you should expect to see a noticeable improvement compared to both the older StuffIt format and Zip. In many cases StuffIt X will also compress better than RAR and ACE..

Note: The amount of compression you will see will vary depending on the type of data you are compressing. Typically text files compress the best, and files that contain already compressed data (such as MP3 music files or JPEG pictures) will not be compressed as well.

Even with Macintosh computers shipping with the minimum of a 10Gb hard drive, compression still has an important role to play in the general computing tasks that you perform everyday. Every time you download send a file to someone over the Internet, you can save time by first compressing that file. The smaller the file, the more quickly it can be transferred.

If you are hosting files for other people to download over the Internet the size of the file you provide is especially important. Most Internet Providers charge in such a way that the more kb of data users download from your site, the more money it will cost you to host. Even if you being charged a fixed fee to serve a small web site, your ISP has probably set a maximum bandwidth allowance that limits the number of Megabytes of data that can be downloaded from your site. Using StuffIt X to compress your files allows you to maximize your bandwidth without having to increase your cost.

Security and Data Integrity Features

While better compression is an important feature of the StuffIt X, what makes the format a significant leap forward are all the enhanced file security features that are also included.

  • Strong Encryption: The StuffIt X file format provides 512 bit encryption to protect your sensitive data. This is a significant improvement over the 40 bit encryption offered by the StuffIt and Zip formats.

  • Redundancy: Users looking to protect their files against corruption can choose to create StuffIt X archives with error recovery. If your archives become corrupted as a result of transfer errors or bad media, StuffIt can recover the missing information.

Next: StuffIt X Options


StuffIt X Options

Compression Method:

Compression method allows you to select different compressors for use when adding files to a StuffIt X archive with compression. Method is passed to the compressor as a value between 0 and 6.

  • Method 1: Method 1 provides compression that is optimized for speed of compression and decompression. It works by replacing a series of bytes with a reference to a previous occurrence of the same series of bytes.

  • Method 2: Method 2 is optimized for the compression of binary files (such as applications) and also for fast decompression. Method 2 works in the same way as Method 1, except that it has a more exact way of representing the offsets and lengths, which makes it compress a little more, but at the cost of slower compression and decompression. Typically Method 2 will provide you with the best results when you’re compressing applications.

  • Method 3: Method 3 provides the best trade off between compression/decompression speed and archive file size and works well on a variety of different file types. This compression method does a reversible sort on the data, which places like data closer together which makes it more compressible.

  • Method 4: Method 4 provides compression that is primarily optimized for text. This compression method works by “predicting” what the next byte will be based on previous data. For example, if it is predicting the byte following “t” and “h”, it will give high probabilities to “e”, and “a”.

  • Method 5: This compression method uses a filter to determine which of the previously described methods should be used to compress a particular file.

  • Method 6: This method breaks the file being compressed into bite size pieces and compresses each piece with methods 2 through 4. Whichever method produces the smallest output is used for that chunk of data. This makes it very slow but it generally produces the smallest possible files.

Setting Levels and Extents

Levels generally set “how hard” each method tries to compress.

In the matching algorithms (method 1 & 2), levels 1-9 generally correspond to Gzip's compression levels. The higher the number the harder it tries to find a match (more compression, but slower). Levels above 9 use a different, more exhaustive search for previous matches, which gets extra compression, but at the expense of speed. In the “prediction” algorithm, the level corresponds to how many previous bytes to use when making the prediction.

Note: Not all the compression methods used by StuffIt X support setting compression levels. You cannot specify compression levels for methods 3,5, or 6.

Extents has a direct relationship to how much memory is used. In methods 1 & 2, the extent sets how far back to look for a match. In method 4, extent sets how much memory to use for storing the prediction information.

Encryption

When you create a StuffIt archive with Encryption, by default RC-4 encryption with a 512bit key length is used. It is possible, however, to change the encryption method that will be used. The following encryption methods are available:

1=RC4 - Supports up to 512bit key lengths.

2=DES - Supports tp to 64bit key lengths

3=BlowFish - Supports up to 448bit key lengths

4=AES - Supports up to 256bit key lengths

Error Correction

StuffIt X archives can be created with Error Correction. Adding error correction code to an archive will increase its size, but its availability allows the engine to reconstruct data damaged as the result of bad media or transfer errors during the decode phase. You can vary the amount of error correction code applied to an archive during the encode phase, the error correction level is specified as the percentage of errors in the archive that can be recovered. The available values range from 1/128 (or .78 of the archive) to 1/4 (or 25% of the archive).

StuffIt X archives created with Error Correction can only be opened as "Read Only" archives, meaning that you can browse their contents and extract files, but you cannot add new items, or delete existing ones.

Text Encoding

StuffIt X archives can also be converted directly to ASCII text format. Three text encoding methods are available, Base64, Base 88, and Base 222. The levels of available text encoding determine how much of the full ACSII character set will be used to encode the data. The more characters used, the less size overhead will be imposed as a result of translating the binary data of the archive into text characters. When sending archives via E-mail, it is best to use Base64. This uses the fewest characters, but as a result is the most compatible. Base 222 is a good choice if files are being posted to a news group.

StuffIt X archives created with Text Encoding can only be opened as "Read Only" archives, meaning that you can browse their contents and extract files, but you cannot add new items, or delete existing ones.

Optimizers

StuffIt X includes optimizers designed to compress certain file types in a specific way. StuffIt X includes optimizers for sound, graphics, and other common file types. Optimizers can be turned on or off as a group.

Next: Converting Archives to StuffIt X format


StuffIt Command Line Options

If you are looking to access StuffIt via the command line, we recommend that you use the Stuff and Unstuff applications included with the 7.5.1 release. In order to use these application:

  1. From the Windows Command Prompt, navigate to the StuffIt Deluxe install folder

  2. At the Command Prompt type "stuff" for instructions on using the Stuff application, and "unstuff" for instructions on using the "unstuff" application.

Stuff

Usage:

stuff [-option [=value]] [--option[=value]] <files/directories to stuff>

Common Options
Long form | Short form | Default | Description
--eol=[option] | -e=[option] | native | Selects one of the following text type options, represented by [option]: native, win, windows, crlf, unix, lf, mac, macintosh, cr.
--format=[format] | -f=[format] | sit5 | Determines what archive format is created: To determine which formats are available, type --formats.
--formats |  |  | Shows archive formats supported by the StuffIt Engine. For each file format, writer support is listed.
--level=[level] | -l=[level] | [automatic] | Assigns the archive compression level.
--name=[file] | -n=[file] |  | Sets the name of the archive to be created.
--password=[password] | -p=[password] |  | Sets the password to be used in the operation.
--quiet | -q | [no] | Suppresses all messages normally printed during operation.
--version | -v | [no] | Shows StuffIt Engine version information.
Advanced Options
Long form | Short form | Default | Description
--abort-on-error |  | [no] | Aborts the operation when a recoverable error is encountered.
--comment=[comment] |  | [none] | Assigns the archive comment.
--formats |  | [no] | Shows archive formats supported by StuffIt Engine. For each file format, writer support is listed.
--key-size=[size] |  | 16 | Sets key size (in bytes) for encrypted formats that support multiple key sizes.
--mac-creator=[creator] |  | ???? | Sets four-character Macintosh creator in MacBinary format.
--mac-type=[type] |  | ???? | Sets four-character Macintosh type in MacBinary format.
--pause |  | [no] | Pauses and waits for a keystroke at the end.
--size=[size] |  | 65536 | Sets the segment size in a segmented format.
--threaded |  | [no] | Allows parallel (threaded) operation. A separate archive is created for each input argument.
--trace |  | [no] | Prints trace information for use in debugging.

Examples

Command line | Description
stuff file | Creates a StuffIt5 archive from a file named file.
stuff --format=Zip file | Creates a Zip archive from a file named file.
stuff --format=Zip --comp-level=9 file | Creates a Zip archive from a file named file, using the maximum compression level (which is also the slowest to compress).
stuff --name=newarchive.sit dir | Creates a StuffIt5 archive named newarchive.sit from a directory named dir and everything it contains (files and subdirectories, recursively).
stuff --password=abcdef file1 file2 | Creates an encrypted StuffIt5 archive from two files: file1 and file2.
stuff --format=BinHex --eol=mac file1 file2 | Creates a BinHex encoded file containing two files: file1 and file2, concatenated. The BinHex file is a Macintosh text file (with CR-only end-of-lines).

Unstuff

Usage:

unstuff [-option[=value]] [--option[=value]] <archives, compressed or encoded files>

Common Files
Long form | Short form | Default | Description
--destination=[directory] | -d=[directory] | [current directory] | Sets the destination directory for expanded files.
--eol=[option] | -e=[option] | native | Selects one of the following text type options, represented by [option]: native, win, windows, crlf, unix, lf, mac, macintosh, cr.
--formats

[no] Shows archive formats supported by the StuffIt Engine. For each file format, classifier and reader support is listed.
--macbinary=[option]
--mb=[option] 		-m=[option] off Selects one of the following MacBinary output options, represented by [option]: off, no, on, yes, or auto.
--password=[password] -p=[password]

Sets the password to be used in the operation.
--quiet | -q | [no] | Suppresses all messages normally printed during operation.
--text=[option] | -t=[option] | off | Selects one of the following text conversion options, represented by [option]: off, no, on, yes, or auto. Applies to expand and create operatons.
--version | -v | [no] | Shows StuffIt Engine version information.

Advanced Options
Long form | Short form | Default | Description
--abort-on-error |  | [no] | Aborts the operation when a recoverable error is encountered.
--classifier-position=[position] |  | 0 | Sets the initial classifier position to position.
--classifier-span=[size] |  | 65536 | Sets classifier span to size.
--classify | -c | [yes] | Shows format information for the archive(s) listed on the command line.
--formats |  | [no] | Shows archive formats supported by StuffIt Engine. For each file format, classifier and reader support is listed.
--pause |  | [no] | Pauses and waits for a keystroke at the end.
--scan | -s | [yes] | Lists archive contents for the archive(s) listed on the command line.
--threaded |  | [no] | Allows parallel (threaded) operation. A separate archive is created for each input argument.
--trace |  | [no] | Prints trace information for use in debugging.

Examples

Command line | Description
unstuff archive.sit | Expands an archive named archive.sit.
unstuff --destination=C:\WINDOWS\TEMP archive.sit | Expands an archive named archive.sit and places expanded files into C:\WINDOWS\TEMP.
unstuff --destination=/var/tmp archive.sit | Expands an archive named archive.sit and places expanded files into /var/tmp.
unstuff --text=auto --eol=unix archive.sit | Expands an archive named archive.sit, converting text files to Unix format (LF end-of-lines).
unstuff --password=abcdef archive.sit | Expands an archive named archive.sit, decrypting its contents with the password abcdef.
sexpand --classify archive.sit | Classifies an archive named archive.sit. Reports the archive format and starting position.
sexpand --scan archive.sit | Lists the contents of an archive named archive.sit.
sexpand --classify --classifier-position=12345 --classifier-span=1000 archive.sit | Classifies an archive named archive.sit, trying to find the beginning of any archive or encoded format at positions 12345 through 13344. Reports the archive format and starting position.
sexpand --classify --classify-formats=none,StuffIt archive.sit | Classifies an archive named archive.sit, trying to find the beginning of a StuffIt archive. No other archive or encoded formats are recognized.

StuffIt Deluxe

The main StuffIt application can also be used via the command line. StuffIt is also accessible via a Command line. The following commands are available:

Creating Files:

Compress file(s) as StuffIt Archive | -stuff
Compress file(s) as Zip Archive | -zip
Use Encryption | -encrypt (you will be prompted to enter a password unless the -p parameter is used, see below)
Provide password | -p x (where x is the desired password.)
Compress and Mail File(s) | -mail
Compress and Make Self-Extracting | -selfextracting
Set Destination | -dest x (where x is the output directory for the archive.)
Encode | -encode, -enco, -n
Create with one time options | -options

Usage:

StuffIt.exe -create -mail c:\files\file.txt -d c:\Windows\Desktop

In this example, the StuffIt application creates an archive from the files directory, and puts it on the desktop. The archive is then attached to a new mail message.

stuffit.exe -create -encrypt -p 123 c:\files

In this example the StuffIt application creates an archive from the files directory, and uses 123 as key word to encrypt the archive.

Expansion:

Expand | -expand, -ex, -e
Provide password | -p x (where x is the password used to encrypt the archive.)
Destination | -dest x (where x is the path to which the files will be expanded.)

Usage:

stuffit.exe -expand -p 123 pword.sit -d C:\output

The StuffIt application expands the contents of the archive pword.sit to the Output directory, using 123 as a password.

User Interface

Open with Archive View | -view, -v, -list
Open with Drop Areas | -drop, -dr
Open with ArchiveSearch | -search, -se
Open with ArchiveInfo | -info, -in
Open with no left panel | -notabbed -not
Open with no right panel | -nomain, -nom
Open application to a specific Width | -width <width>, -wid <width>
Open application to a specific Height | -height <height>, -hei <height>
Open application in compact mode | -compact, -comp
Open in Expander Mode | -uiexpander
Open in DropStuff Mode | -uidropstuff

Next: Supported Archive Formats


Supported Archives and Encoded Files

This topic provides information about the archive and encoded file types you can create and open with the StuffIt application.

StuffIt allows you to open the following file types:

Archive File Formats:

  • StuffIt archives (.sit, .sea) Includes encrypted StuffIt archives, segmented archives, as well as files in StuffIt 3.x, 2.x, and 1.5.x format.

  • StuffIt X archvies (.stix)

  • Zip archives (.zip) Includes encrypted and segmented zip archives.

  • RAR archives (.rar)

  • Arc archives (.arc, .pak)

  • Arj (.arj)

  • Tar archives (.tar)

  • Lha archives (.lha, .lzh)

  • Compact Pro (.cpt)

Single File Archive Formats:

  • Bzip archives (.bz, .tbz, tbz2)

  • Gzip archives (.gz, tgz)

  • Unix Compress archives (.Z)

Encoding File Formats:

  • Base64/MIME encoded (.b64, .mim, .mme)

  • BinHex encoded files (.hqx)

  • UUcode encoded files (.uu, .uue)

  • MacBinary encoded files (.bin)

  • PrivateFile archives (.pf)

  • AppleSingle (.AS)

  • BTOA .btoa

StuffIt allows you to create files in the following formats:

Archive File Formats

  • Zip (.zip) Includes support for browsing, manipulation, encryption, and self extraction.

  • StuffIt (.sit) Includes support for browsing, manipulation, encryption, segmentation, and self extraction.

  • Stuffit X (.sitx)

  • Lha (.lha)

  • Tar (.tar)

Single File Archive Formats:

  • Bzip

  • Gzip

  • Unix Compress

Encoding File Formats:

  • BinHex

  • MacBinary

  • UUcode

  • AppleSingle

Next: Compression Primer


Compression Primer

File Compression Explained

What is file compression?

Compression works by eliminating or minimizing redundancy in a file, making your files smaller without losing any information. Every character on your computer, every letter, digit and punctuation mark, is actually made up of several characters that make up computer code. A simple example of compression is: If you have a set of characters "AAAADDDDDDD" representing a letter, one type of compression software can rewrite this as "4A7D", saving seven spaces and making that line 64% smaller. Compression software uses algorithms to do this.

What is an archive?

Think of an archive as the container that holds your compressed files. An archive can contain a single file or many files, which can be in many folders inside the archive. Each archive is a single document, just like a word processing document, graphics file or database.

StuffIt vs. Zip Compression

StuffIt equals compression.

Aladdin Systems is the developer of the StuffIt file format (.sit) as well as the publisher of the StuffIt product line. Compression is at the heart of the StuffIt brand, and the StuffIt line of products creates both StuffIt (.sit) and zip (.zip) archives to provide you with greater flexibility when distributing, or backing up your files.

StuffIt archives are typically smaller than zip-compressed files, making StuffIt the format of choice when file size matters. The more data you compress, the more StuffIt technology will pay off, compressing most large files up to 20% smaller than zip. StuffIt can compress your files up to 98% of their original size, so they fly across the Internet or networks faster, and arrive at their destinations sooner. And, you can get more data onto your hard drive or removable media such as Zip disks, CDs, or floppies. When smaller is better, use StuffIt.

With StuffIt, you'll not only create and send the smallest archives, but you'll ensure that the integrity of your data is intact and readable to the recipient. The StuffIt file format (.sit) protects file attribute information for both PC and Mac files, and because it's Unicode compliant, files that are named with non-roman and 2-byte characters will be successfully preserved when you expand them. Your data is important, so why trust it with any other compression utility? Just StuffIt.

Next: StuffIt, NTFS, and Macintosh Files


StuffIt, NTFS, and Macintosh Files

Macintosh files are different from Windows files. They contain both a data fork and a resource fork. A Windows hard drive that is formatted as either a FAT 16 or FAT 32 volume is not able to support [image] Macintosh resource forks, and as a result any Macintosh file stored on these volumes may become corrupt and unusable even if it is transferred back to a Macintosh. Windows 2000 and Windows XP support another hard drive format called NTFS. Drives that are formatted as NTFS volumes are able to preserve the resource fork of a Macintosh file. When you create StuffIt archives on NTFS volumes, the resource fork and Finder Information of the file will be preserved when it is added to an archive. This means that when you unstuff the archive on a Macintosh computer the file should work correctly.

The StuffIt application also supports additional Macintosh file elements when expanding files from a StuffIt archive. If you expand a file from a StuffIt archive onto an NTFS formatted hard drive the resource fork and Finder information will be correctly preserved.


Tutorials Overview

The following tutorials provide a practical way for you to learn how to get the most out of the StuffIt application.

  • Add Files Tutorial: Explains how to use the Add Files dialog.

  • StuffIt Express Tutorial: How to create Drop Box applications to automate common file compression and transfer tasks.

  • Creating Self Extracting Archives: How to create a custom Self-Extracting Archive to distribute your files.

  • Backing up with StuffIt and the Windows Scheduler: Learn how to use StuffIt Express in conjunction with the StuffIt Scheduler to automate the back up of your data.


Add Files Tutorial

This tutorial describes how to use the Add Files dialog to help you maintain an archive that contains back-up copies of recently modified MS Word files.

1. Click the "New Archive" button to create a new archive in ArchiveView.

2. Click the "Add Files" button to open the Add Files dialog.

3. Click the "Add Filter" button to open the Add by Criteria dialog.

4. Use the Browse button next to the "Folders" field to select the folder in which you keep your document (for example, My Documents).

5. In the File Mask field type "*.doc" so that any files that contain the .doc suffix will be matched and added to the archive. Typing *.doc will add any Word Documents created by Microsoft Word.

6. Click the "Date" tab.

7. Click the "Only Files Modified In" radio button.

8. Click the "In the Last...Days" radio button.

9. Click the up arrow to select 7 days.

10. Click OK.

11. Click "Save List" in the Add Files Dialog.

12. Save the list file.

13. Click OK.

The StuffIt application will now search your hard drive for files that match the criteria, and add any matching files to the new archive you created. When you close the archive you will be prompted to save it, and the archive will be re-compressed.

You can maintain this archive using the following method:

1. Open the archive created in example 1.

2. Click the Add Files button.

3. Click the Load List button, and browse for the list file created in example 1.

4. Click OK.

This will cause any file that has been updated in the last 7 days to be added to your backup archive. Older copies of modified files that exist in your archive will be replaced by the most recent version.


Self-Extracting Tutorial

This tutorial explains how to make a Self Extracting Archive with StuffIt Deluxe. The SEA will display a message to the user before extracting the files, and will send an email to you letting you know that the contents were successfully expanded.

Before using the SEA Builder in StuffIt Deluxe you must first create an archive that contains the files you want to send. You can make and archive and open it in StuffIt Deluxe by dragging and dropping the files you want to send onto the "Create and View Archive" drop area.

Once the archive you want to use has been opened in the StuffIt application, follow these steps:

1. Click the "Make Self-Extracting" button in the StuffIt Toolbar.

2. When the SEA Builder opens, click the "Notification Dialog" tab to open the page that allows you to specify that a message be displayed to the recipient.

3. Check the "Display the Following Message..." box to activate the rest of the fields.

4. Choose your Font and a style, and then type your message in the box provided.

5. Use the Title Field to specify a title for the Window in which the message will be displayed.

6. Use the toggle menu to choose titles for the Continue and Cancel buttons. You can also type text into either field to choose custom button titles.

7. You can use the Width and Height buttons to specify the size of the Window in which the message will be displayed.

8. Use the Preview button to see how your text dialog will appear to your recipients.

9. Click the Email Notification Tab to open the page that allows you to specify that an email message be sent to you when the archive is successfully expanded.

10. Check the "The Following email..." box to activate the rest of the dialog.

11. Type the name and address of the email account you would like the message to be sent to. Typically, this is going to be your own email address.

12. Type the Subject and Message you want to include in the message. In the example below the "^E" and "^D" substitute characters have been used so that the final message will include the name of the SEA file that was opened, and the date and time it was accessed.

13. Click the General Tab to open the page that allows you to specify how the SEA file will be opened.

14. To specify a directory to which the files in the archive will be expanded, type a path in the "Expansion Path Field." If this location does not exist on the recipients machine, it will be created when the files are expanded.

15. Click the "Create" button to make the SEA file. You will be prompted to choose a name and location of the SEA archive at this time.


SEA Overview

The following topic provides information about using the self extracting archive creation tool that is included in the StuffIt Deluxe package.

  • About Self-Extracting Archives

  • About the StuffIt Deluxe SEA Builder Plug-in

  • Creating Custom Self Extracting Archives

  • SEA Builder tutorial

Next: About Self-Extracting Archives


About Self-Extracting Archives

A S.E.A., or self-extracting archive, can be opened by anybody using a Windows computer. No special unzipping software is required. To open an SEA archive, simply double click on its icon.

Self-Extracting Archives can be created using either StuffIt Standard or StuffIt Deluxe. There are several methods that can be used to create an SEA:

  • Right-click a file or folder in a Windows Explorer folder and choose Create Self-Extracting from the StuffIt context menu.

  • When an archive is open in the Archive View dialog, you can click the Make Self-Extracting button to convert that archive into a self extracting archive. You will first be prompted to save the archive if it has been modified.

The way in which Self-Extracting archives are created differs depending on whether you are using StuffIt Standard or StuffIt Deluxe. StuffIt Deluxe includes a special SEA creation tool that allows you to the following:

  • Set a specific extraction path where the files will be expanded.

  • Choose a custom icon for the SEA file.

  • Create a notification dialog that is displayed to the user before the files are extracted.

  • Send an email notification back to you when the archive is opened by its recipient.

  • Run commands and batch files to process the expanded items.

When using StuffIt Standard, as opposed to StuffIt Deluxe, the archive you select will be made into a file that automatically expands when it is double clicked. None of the above options will be set.

Next: About the StuffIt Deluxe SEA Builder Plug-in.


StuffIt Deluxe SEA Tool

StuffIt Deluxe SEA Builder Plug-in

StuffIt Deluxe includes a special program for creating custom self extracting archives. These self-extracting archives can be used to give you more control over how your files are distributed to your recipients. For example, you can use StuffIt Deluxe to create a self extracting archive that will email you a notification when a user opens the contents. You can also use the StuffIt Deluxe SEA tool to create a text dialog that will be displayed to the user prior to expansion, or to give your SEA a custom icon.

You can either create Custom SEA files from with in the StuffIt application, or you can use the Custom SEA tool independently. You can also make Custom SEA archives in any Windows Explorer folder.

  • When an archive is open in the Archive View dialog, you can click the Make Self-Extracting button to convert that archive into a self extracting archive. You will first be prompted to save the archive if it has been modified.

  • To make an SEA file in any Windows Explorer folder, right-click a file or folder and choose Create Self-Extracting from the StuffIt context menu.

  • To use the SEA Tool independently, from the Start Menu, open the StuffIt 7.5 folder and choose SEA Tool from the list of available applications.

Next: Creating Custom Self-Extracting Archives


SEA Tool Options

Creating Custom Self-Extracting Archives

General Tab:

The General tab of the SEA tool allows you to specify options that effect how the SEA will be created, and where the files contained in the SEA file will be expanded.

.Sit/.Zip Archive File: If you launched the SEA Tool from the StuffIt application or the StuffIt context menu, the "Sit/Zip Archive File" field will be automatically filled in with the name of the archive that was selected. If you launched the SEA tool independently, you can use the Browse button to locate the archive you want to make self extracting.

SEA Creation: You can use the toggle menu to select where on your hard drive the new SEA file should be created, or you can choose to have the original archive used to create the SEA replaced with the SEA file.

Dialog Title: The text entered in this field is used as the title for the dialog used if the User is prompted to pick a location to which files will be extracted.

Expansion Path: By default, an SEA created with the SEA builder will prompt the user to pick a location to which files should be expanded. You can also choose to force the contents of the archive to be expanded to a particular location on the recipients hard drive. You can choose to have the contents be expanded to a common Windows location, such as the Desktop or My Documents folder, or you can specify a new directory that is used specifically for your files.

If you want to create a simple SEA file without any other custom options, click the "Create" button when you are finished providing all the necessary information in the General field.

If you want to specify other custom options, click the tab that corresponds to the task you would like the SEA to do.

SEA Icon:

Use this tab to give your SEA file a custom icon. Four default options are provided. You can choose to use any of these options by clicking the icon that you want to use.

You can use the icon of any Windows file by dragging and dropping that file to the SEA icon filed, or you can use the Browse button to find a file whose icon you want to use.

You can use the Favorites boxes to store icons that you want to use on a frequent basis. Drag and drop the icons you want to use to any of the eight available spaces.

Notification Dialog:

Use this tab to create a text message to be displayed to the user before the files in the archive are extracted. Check the "Display the following message..." check box to use this feature.

You can select the font and point size to use for the text dialog by using the Font and Size toggle menus. You can specify whether the text is bold, italic, or Underlined by clicking the appropriate button. The message itself is typed in the text entry field below the font settings.

Use the "Title" field to specify the title of the Window in which the text dialog appears, and use the "Confirm" text entry field to specify the text that appears next to the buttons at the button of the dialog. You can also change the text that appears on the buttons themselves. The "Proceed Button" text will appear on the button the user clicks to proceed with the extraction of files, and the "Cancel Button" text will appear on the button the user clicks to exit the SEA application. You can use the Height and Width settings to change the size of the dialog when it is displayed on screen. You can test how your dialog will appear to the user by clicking the Preview button.

Email Notification:

Use this tab to create an email message that will be sent when the user extracts the contents of the SEA file. Click the check box to activate this feature.

You can choose to either "require" or "request" that the specified email message be sent. When you choose "Require" the message will be sent automatically, and the user will not be able to open the archive unless the email message is sent. The user will be able to choose not to open the archive at all if email notification is required. When you choose the "Request" option, your user will be asked whether it is OK to send an email message. When the Request option is used, your recipient will be able to open the archive contents without the email being sent. You can choose to have the message be sent either before or after the files are extracted from the archive.

Note: Choosing "Required" will not necessarily guarantee that the email message will be delivered when files are expanded. The senders computer will need to be configured with to use an SMTP server, and will need access to the Internet.

To address the email, type a name and email address in the fields provided. You can add additional recipients by clicking the Add button, and you can remove recipients by clicking the Remove button. You can use a toggle menu to specify whether a particular recipient is added to the "To" field, the "CC" field, or the "Bcc" field.

You can enter a subject and message for the email in the fields provided. You can also use "substitute" characters so that the email created contains the name of the self extracting archive that was expanded, along with a date and time stamp that lets you know when it was accessed. The "^E" character, when used in the message body, will be replaced by the name of the archive being opened, and "^D" will be replaced by the date and time the file was opened.

A check box is provided so that you can offer the recipient the chance to include themselves as a recipient of the email. The message will be sent by the SEA itself, and therefore a copy will not be made available in the senders Outbox or Sent Items folders.

Post Extraction Processing:

Use this step to have the SEA file execute one or more commands when the files it contains have been successfully extracted. Check the box provided to activate this feature.

Choose "Expanded File" from the toggle menu to specify that one of the files contained in the archive will be run after all the files have been expanded. You can use this feature, for example, to run a setup set-up program that has been compressed into an SEA along with all of it's supporting files.

Choose "Command" from the toggle menu to specify a command line to execute after all files in the archive have been successfully expanded. If you need to specify multiple command lines, choose "Commands" from the toggle menu to create a batch file in the field provided.

Saving a Configuration:

Once you have finished specifying the options for your custom SEA, you can save the information you have specified for use in the future. From the File menu, choose "Save Configuration" and name your current configuration. To load a past configuration, choose "Load Configuration" from the File menu and select a previous configuration set.

Next: SEA Builder Tutorial


SEA Command Line Options

Command Line Arguments

SEA Builder can be accessed via command line arguments. In order to fully automate the creation of self extracting archives using StuffIt SEA builder, you must first launch the SEA Builder in GUI mode to create and then save a profile. An SEA Builder profile contains all the settings that SEA Builder will use when creating a self-extracting archive via the command line. Once you have created your profile, command line usage is as follows:

sea_builder.exe <name and path of zip archive to be compressed> -profile <saved profile name>

You can also use "-quiet" to prevent the GUI from being displayed at any point in the process.


Contacting Aladdin Systems

How to Contact Aladdin

Aladdin Systems, Inc.

245 Westridge Drive

Watsonville, CA 95076

USA

Phone: 1+ 831-761-6200

Fax: 1+ 831-761-6206

Corporate: http://www.aladdinsys.com

StuffIt Product Information: http://www.stuffit.com

For Sales Inquires:

sales@aladdinsys.com

http://www.aladdinsys.com/store

Technical Support

Please check our FAQ page for information on common issues and for information about available updates.

http://www.aladdinsys.com/support

Aladdin provides telephone support for all registered users.

831-761-6200 (Mon-Fri)


Software License Agreement

This is a legal agreement between you and Aladdin Systems, Inc. covering your use of StuffIt Deluxe(tm) and or StuffIt Standard Edition(tm) (the "Software"). Be sure to read the following agreement before using the Software. BY USING THE SOFTWARE (REGARDLESS IF YOU HAVE REGISTERED THE SOFTWARE OR NOT), YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT USE THE SOFTWARE AND DESTROY ALL COPIES IN YOUR POSSESSION.

The Software is owned by Aladdin Systems and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the Software like any other copyrighted material (e.g., a book or musical recording). Paying the license fee allows you the right to use one copy of the Software on a single computer. You may not network the Software or otherwise use it or make it available for use on more than one computer at the same time. You may not rent or lease the Software, nor may you modify, adapt, translate, reverse engineer, decompile, or disassemble the Software. If you violate any part of this agreement, your right to use this Software terminates automatically and you must then destroy all copies of the Software in your possession. The Software and its related documentation are provided "AS IS" and without warranty of any kind and Aladdin Systems expressly disclaims all other warranties, expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. Under no circumstances shall Aladdin Systems be liable for any incidental, special, or consequential damages that result from the use or inablility to use the Software or related documentation, even if Aladdin Systems has been advised of the possibility of such damages. In no event shall Aladdin Systems' liability exceed the license fee paid, if any.

This Agreement shall be governed by the laws of the State of California. If for any reason a court of competent jurisdiction finds any provision of the Agreement, or portion thereof, to be unenforceable, that provision of the Agreement shall be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this Agreement shall continue in full force and effect.

The Software and documentation is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause as 252.227-7013. Manufacturer is Aladdin Systems, Inc., 245 Westridge Drive, Watsonville, California 95076. Aladdin Systems, Inc., 245 Westridge Dr., Watsonville, California, 95076, United States of America

(831) 761-6200 telephone, (831) 761-6206 facsimile.


Version History

7.5 May 2002: First release of the new user interface for StuffIt. Introduced better zip compression technology.

8.0 January 2003: Introduced the new file format, "StuffIt X" and Atom compression technology.


How to use help

This help file is designed to help both novice and experienced users get the most from the StuffIt application. If you are new to using computers, or new to using compression software, we would recommend that you view the "Getting Started" topic before you continue. Getting Started contains six topics that cover the basics of using StuffIt to compress and expand archives. The topics are designed to be read in order from first to last.

The "StuffIt Reference" section is designed to provide more details about specific areas of the application. You can choose to either read all the topics from beginning to end, or you can pick just the topic that

Separate help topics are provided to cover information about using the Self Extracting Archive creation tool, and StuffIt Express.


About Box

The About Box allows you to access important information about the StuffIt application. The About Box displays version information for both the StuffIt application and the StuffIt Engine. You registration information will also be displayed here. When you contact Aladdin Technical Support you will need to have this information available.

The About Box also contains links to important StuffIt information online:

  • Email: Creates an email that will be sent to the Aladdin Sales Group.

  • Technical Support: Connects you to Technical Support resources online. The online support pages include forms that allow you to send questions to Aladdin support technicians.

If your copy of StuffIt is unregistered, you will find buttons in the About box that allow you to purchase and register your copy of StuffIt.

  • Purchase: Connects to Aladdin's online store where you can purchase a registration for your copy of StuffIt.

  • Enter Code: Opens a dialog that allows you to enter your StuffIt registration number.

The About box also has a Credits button that displays a list of all the "talented" individuals who worked on StuffIt.


About FTP Wizard

About the Compress and FTP Wizard

The Compress and FTP Wizard is designed to provide an easy step-by-step interface that allows you to archive files and send them to other people using email. The Wizard contains three pages:

Choose Files: Use this page to indicate which files you would like to be added to the new archive that will be created.

Compression Settings: Use this page to choose the archive format you would like to use.

FTP Settings: Use this page to specify the FTP server to which the archive should be uploaded. You will need to know the name of the server, the path on the server to which files should be uploaded, and your user name and password for that location.

When you exit the Wizard dialog, the files you chose will be archived and uploaded to the FTP server specified. No external FTP applications need to be used.


About New Wizard

About the New Archive Wizard

The New Archive Wizard is designed to provide an easy step-by-step interface that allows you to create a new StuffIt, StuffIt X, or Zip archive. The New Archive Wizard contains two pages:

Choose Files: Use this page to indicate which files you would like to be added to the new archive that will be created.

Compression Settings: Use this page to choose the archive format you would like to use.

When you exit the Wizard dialog, the files you chose will be compressed into an archive.


About SMTP Wizard

About the Compress and Email Wizard

The Compress and Email Wizard is designed to provide an easy step-by-step interface that allows you to archive files and send them to other people using email. The Wizard contains three pages:

Choose Files: Use this page to indicate which files you would like to be added to the new archive that will be created.

Compression Settings: Use this page to choose the archive format you would like to use.

Email Settings: Use this page to specify a list of recipients to whom the email should be sent, and also a subject and message that should be used.

When you exit the Wizard dialog, the files you chose will be compressed into an archive and the archive will be emailed to the people you specified. No external email programs need to be used.


Add By Criteria Date

Add Filter (Date Page)

Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

The Date tab allows you to add files using the following criteria:

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

Click here for more information on the Add Files dialog.


Add By Criteria General

The following Wild cards are supported:

* - Used to replace any number of characters. *.doc, when used as a search string, will return all Microsoft word documents with a .doc suffix.

? - Used to replace only a single character. ?.doc will match a.doc, and b.doc, but not ab.doc.

Add Filter (General Page)

Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

The General tab allows you to add files based on the following criteria:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders to the specified location also be included in the search.

Click here for more information about the Add Files dialog.


Add Criteria Atributes

Add Filter (Attributes Page)

The Add Filter Attributes page is designed to allow you to add files to an archive based on whether or not the "File is ready for Archiving" attribute has been set. The "File is ready for Archiving" attribute, or the archive bit, is used by the Windows file system to indicate when the contents of a file have changed. This allows application such as StuffIt to create an archive that contains only those files that have changed since the last backup. When a file with the archive attribute has been added to an archive, you can choose to have StuffIt turn the archive attribute off for that file. The next time this file is modified, the Windows file system will turn the attribute back on for you automatically.

  • Add only files with the archive attribute set - StuffIt will filter files being added to the archive based on whether they have the archive attribute set.

  • Reset archive attribute after addition - When this check box is checked, StuffIt will remove the archive attribute from the file after it has been added to the archive.

  • Include Hidden and System Files - This check box allows you to filter files based on whether they have the Hidden or System attribute set.

Click here for more information about the Add Files dialog.


Add Files General

The following Wild cards are supported:

* - Used to replace any number of characters. *.doc, when used as a search string, will return all Microsoft word documents with a .doc suffix.

? - Used to replace only a single character. ?.doc will match a.doc, and b.doc, but not ab.doc.

Add Files Dialog:

The Add Files dialog contains the "Files to Add" list, along with several buttons that offer different ways to select those files you wish to add.

Add Files: This button opens a file selection dialog that allows you to browse for, and then select, files to add to the archive.

Add Folders: This button opens a folder selection dialog that allows you to browse for, and then select, folders to add to the archive.

Add Filter: Rather than simply allowing you to add specific files and folders to an archive, the Add Filter feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add Filter is as a search engine that allows you to search your hard drive for files to add to an archive.

Files can be added to an archive based on their matching the following parameters:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders to the specified location also be included in the search.

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

  • Archive Attribute: Allows you to add files based on whether their archive attribute has been set by the file system.

When you exit the Filter dialog, a line item is added to the Files to Add list that describes the options you have set. When you exit the Add Files Dialog, StuffIt will search for files that match your criteria and add them to the currently open archive along with any other files and folders you may have selected.

When items have been added to the Files to Add list, there are several options available that allow you to manage this list:

Remove: Select an item in the list and click the "Remove" button to delete it.

Save List: The save list button allows you to save the current list as a document. You can then use the Load List button to reload this list to perform the same archive task at a later date.

Tip: The ability to Load and Save the Files to Add dialog allows you to very easily maintain an archive that contains backup copies of all your recently used files. Click for a brief tutorial.

Click here for more information about the Add Files dialog.


ArchiveOptionsTab

Archive Tab

The Archive tab contains settings that relate to how StuffIt will add files to Zip and StuffIt archives. These settings are applied globally throughout the application.

Delete Originals after Compression: Using this setting, files added to an archive are automatically deleted when the compression task has been completed. WARNING: Use this option only if you are sure you want the original files to be deleted after they have been added to an archive.

Compress Originals instead of Shortcut: This setting determines what will happen when StuffIt comes across a shortcut among files being added to an archive. With the box checked, StuffIt will add the original file instead of the short cut to the archive.

Compress each item as an individual archive: This option is useful when dragging more than one file to the Compress drop area. It causes each file or folder you choose to compress to be compressed as it's own archive. If you drag and drop 3 files to the compress drop area, the StuffIt application will create three archives, instead of adding all 3 three files to a single archive.

Don't Compress Files that are Already Compressed: The StuffIt application maintains a list of file types that are known to contain compressed data. When this box is checked, StuffIt will automatically add these files to an archive without attempting to compress them. Files that contain compressed data typically cannot be further compressed with a zip utility such as StuffIt. Click for a list of file types that contain compressed data.

Next: ArchiveSearch


ArchiveView

ArchiveView is the part of the StuffIt application that allows you to browse through the contents of an archive. When you open an archive in ArchiveView, the folder, or directory, structure of the data is preserved. This means that you browse through the contents of an archive in the same way that you would browse through the contents of a folder on your hard drive. In fact, ArchiveView is designed to work as similarly to Windows Explorer as possible.

When you are inside an archive, you may see a folder icon. This means that the archive you have open contains several folders. To look inside a folder in an archive, simply double click its icon. This will cause ArchiveView to display the contents of the folder. To move out of the folder, simply double click the "Up" button on the ArchiveView caption bar, or double click the folder called "Up a Level".

You can choose to view the data in an archive in several ways. To change the view, use the "Views" button on the ArchiveView caption bar. ArchiveView supports all the ways of looking at files that you may be used to from using Windows, you can choose to view a list of the files in an archive with small icons, large icons, as a list, or as a detailed list. The detailed list view allows you to sort the files in the archive by common attributes such as size, and date modified. To change the sort order of a list when you are in details view, simply click the column heading of the attribute that you want to sort by. To sort by date, click the date column heading. To reverse the sort order, click the column heading a second time.

When an archive is open in archive view, you can right click on any of the files or folders it contains to perform several archive actions:

  • Open: Launches the selected item.

  • Extract: Allows you to extract the selected item without having to expand the whole archive.

  • Extract to Desktop: Extracts the selected file to the desktop.

  • Expand Archive: Expands all the files in the archive at once.

  • Add Files or Folders: Opens the Add Files dialog, which allows you to add files to an existing archive.

  • New Folder: Adds a new empty folder to the current archive.

  • Delete: Removes the selected item from the archive.

  • Properties: Opens a properties dialog to provide you with information about the selected item.


Drag and Drop: Caption Bar

The caption bar of the Drag and Drop window contains several buttons that allow you to quickly change how compression tasks will be performed.

Password Protection: You can decide whether or not to password protect the archives you create via the drop area by using the Password Protection button. This button has two states, on and off, click the button to switch between the two. When you create an archive with password protection you will be prompted to enter a password before the archive is created. IMPORTANT NOTE: Make sure to keep your password in a safe place. Aladdin is not able to recover the contents of an encrypted archive whose password has been lost.

Compress and Mail: You can choose to have the archive you create automatically attached to a new email message by using the Compress and Mail button. This button has two states, "Mail" and "Don't Mail", click the button to switch between the two states.

Make Self-Extracting: You can choose to have the archive you create automatically converted into a self extracting archive. The Make Self Extracting button has two states, "Make Self Extracting" and " "Don't Make Self Extracting", click the button to switch between the two states.


Drag and Drop: Compress

Drag and Drop files and folders to the compress drop area to create archives. The archive that is created is immediately saved to disk. You can specify the location where the archive will be created in the Destination tab of the Options sheet.


Drag and Drop: Compress and Open

This drop area works the same as the Compress drop area, except that the archive that is created is immediately opened in the StuffIt application.


Drag and Drop: Expand

Drag and Drop archives and encoded files to the Expand drop area to expand their contents. The contents of the archive will be immediately saved to disk. You can specify the location where the contents of the archive will be expanded in the Destination tab of the Options sheet.


Drag and Drop: View

Drag and Drop Zip (.zip) and StuffIt (.sit) archives to the View drop area to open them for viewing in the StuffIt application.


DropArea Generic

Help with StuffIt Drag and Drop

Click for help with:

  • Expand Drop Area

  • Compress Drop Area

  • View Drop Area

  • Compress and Open Drop Area

  • Drop Area Caption Bar Buttons


Enter Code dialog

Enter your Name, Company (if applicable), and a valid Registration number in the fields provided.

If you purchased StuffIt electronically via Aladdin's online store, your registration number should be contained in a confirmation email. If you purchased a boxed copy of StuffIt, your registration number will be on a piece of paper inside the CD sleeve.

If you have any questions please call Aladdin Customer Service 831-761-6200.


Extract Dialog

The quickest way to extract a single file from an archive is to drag and drop it from ArchiveView to a folder in the Folders tab in the left panel. You can also drag and drop files from ArchiveView to a Windows Explorer folder.

The Extract Files dialog is used when you select files in an open archive and click the "Extract Files" button, or when you right click a file in ArchiveView and choose Extract from the context menu.

Extract These Files and Folders: This list displays all of the files and folders that you have selected to remove from the archive.

Remove Button: You can remove items from this list by selecting them and clicking the Remove button.

Location: The directory to which the files will be extracted is displayed at the bottom of the dialog. By default, files will be extracted to the My Documents folder. You can choose a new location using the Browse button.

Click here for more information about ArchiveView.


Memory Warning!

Your current configuration for StuffIt X means that anybody expanding your archive will require at least 64mb of available memory to expand the archive you have created. This can cause the computer expanding the archive to slow down significantly. You should also be aware that if you have configured StuffIt X to use more than 64mb of memory to create the archive, you may experience a similar slow down. Typically, we would recommend that you do not configure StuffIt X to use more than 50% of your installed RAM for compression or decompression tasks.


Nag dialog

Registration Dialog

The registration, or "nag" dialog is displayed every time you launch an unregistered copy StuffIt Lite after your 30 day evaluation period has elapsed. When you download StuffIt Lite from the web, you may use it without paying for a 30 day evaluation period. After the 30 days, if you continue to use StuffIt, you should pay the registration fee.

The Registration Dialog contains the following elements:

  • Purchase Button: Connects to Aladdin's online store where you can purchase a registration number.

  • Enter Code Button: Opens a dialog that prompts you to enter your registration information.

  • Later Button: Exits the registration dialog and continues to launch the application.

  • More Info Button: Connects to the Product information page on StuffIt.com.


Password Protect

The Password dialog is used to enter, and then confirm, the password that will be used as a key to encrypt the archive. StuffIt compression currently uses a 40bit encryption method.

Important Note: Be sure to make a note of the password that you use. If you loose your password you will not be able to open the archive. Aladdin Systems is not able to open an encrypted archive whose password has been lost.


Search Results

The Search Results window is used to display files that match the search criteria specified in the ArchiveSearch tab. Right click any of the matching files to access several available options:

  • Open: Launches the selected item.

  • Open Containing Archive: Opens the archive that contains the selected item in StuffIt application so that you can view the contents.

  • Extract to Desktop: Extracts the selected file to the desktop.

  • Expand Archive: Expands all the files in the archive at once.

  • Add Files or Folders: Opens the Add Files dialog, which allows you to add files to an existing archive.

  • Go To Archive Folder: Opens the folder on the hard drive where the archive that contains the matching file is located.

  • Properties: Opens a properties dialog to provide you with information about the selected item.


Segment

Segmentation is a process though which a large archive is broken into smaller pieces. This process is often used when a large archive needs to be transported via floppy disks, or when you need to send a file to an email account that will not accept attachments above a certain size.

The Segmentation dialog allows you to specify the size of the pieces that will be created. You can choose one of the default options, which are defined as the size of many of the more popular removable media formats, or you can specify a custom size by choosing "Other" from the pop-up menu.

To Expand the segments, simply drag and drop segment number 1 onto the Expand drop area in the StuffIt application. If the rest of the segments are available in the same folder, the StuffIt application will automatically rejoin all the pieces and expand the archive. If the other pieces are not immediately available, for example if they are on other floppy disks, you will be prompted to provide them.

Important Note: In order to rejoin a segmented archive ALL the segments must be available. If a piece is missing or corrupted, you will not be able to rejoin and expand the archive.


Wizard Archive Step

This step governs how the files selected in the "Choose Files" step will be compressed. You can choose to create either a StuffIt X or Zip archive, and you can also open the Advanced Format Options dialog to define in more detail how the Zip and StuffIt X archives will be created. You can also choose to create the archive with encryption in this dialog. Check the "Use Encryption" check box, and then enter and confirm your password.


Wizard Choose Files Step

The Choose Files step works the same as the Add Files dialog in the main StuffIt Deluxe application.

The Add Files dialog is designed to provide a powerful tool to use when creating and maintaining complex archives. Using the Add Files dialog you can:

  • Add Files to an existing archive

  • Add files based on their date of modification.

  • Add files based on matches to a specified search string.

  • Add files using wild card characters.

  • Save a list of files to add for later use.

Adding Files and Folders.

The "General" tab of the Add Files dialog contains the "Files to Add" list, along with several buttons that offer different ways to select those files you wish to add.

Add Files: This button opens a file selection dialog that allows you to browse for, and then select, files to add to the archive.

Add Folders: This button opens a folder selection dialog that allows you to browse for, and then select, folders to add to the archive.

Add Filter: Rather than simply allowing you to add specific files and folders to an archive, the Add Filter feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

Files can be added to an archive based on their matching the following parameters:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders in the specified location also be included in the search.

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

  • Archive Attribute: The Windows operating system maintains a file attribute called the "Archive bit". When a file is modified, the archive bit is set to indicate that the file should be backed up. Add all files from a particular folder based on whether the archive bit has been set is a great way to make sure that you grab all the files that have recently changed.

Fig: The add Filter dialog configured to add all files with a ".doc" extension located in the "Other Aladdin Products" folder, or any of its sub-folders.

When you exit the Add Filter dialog, a line item is added to the Files to Add list that describes the options you have set. When you exit the Add Files Dialog, StuffIt will search for files that match your criteria and add them to the currently open archive along with any other files and folders you may have selected. To preview the files that will be added as a result of a Add By Criteria task, you can double click its item in the Files to Add list. The StuffIt application will search your hard drive and display a list of all the files that match the criteria you specified.

When items have been added to the Files to Add list, there are several options available that allow you to manage this list:

Remove: Select an item in the list and click the "Remove" button to remove it from the list.

Save List: The save list button allows you to save the current list as a document. You can then use the Load List button to reload this list to perform the same archive task at a later date.

Tip: The ability to Load and Save the Files to Add dialog allows you to very easily maintain an archive that contains backup copies of all your recently used files. Click for a tutorial.


Wizard Final Step

Type topic text here.


Wizard FTP Step

The FTP dialog contains settings related to the task of uploading the archive you have created to an FTP server. The following fields must be completed:

Server: Enter the name of the FTP server to which files should be uploaded. Typically you will enter something like "ftp.company.com".

Path: The path field specifies the exact folder on the FTP server in which the archive you have created will be placed. Typically, this will look something like, "myaccount/incoming/files/"

URL: As an alternative, the FTP wizard also allows you to enter the FTP information as a complete URL. Such as URL will look something like: ftp://ftp.company.com/myaccount/incoming/files/" The FTP protocol also allows you to enter your user name and password as part of the URL. Assuming that your user name for the above example is "user", the URL would appear as follows: "ftp://user@ftp.company.com/myaccount/incoming/files". If the FTP server is on a non-standard port, you can also specify a port as part of the URL. Assuming that the port for the above server is 99, the URL would appear as follows: "ftp://user@ftp.company.com/myaccount/incoming/files:99"

FTP Login, User Name: This field is used to provide your user name to the server.

FTP Login, Password: This field is used to provide your password to the server.

Replace Existing Items (Check box): This preference is used to determine how the wizard will handle a situation whereby a file with the same name as the one being uploaded already exists on the server. When this box is checked, the existing file will always be replaced with the copy being uploaded.

Force Passive Mode (Check box):


Wizard SMTP step

Compress and Email Wizard: Email Step

Before using the Compress and Email Wizard, we recommend that you review the Email server information in the StuffIt Application options dialog. This information is used by the Wizard to log into your SMTP server and send the email message.

The Email page of the compress and Email Wizard requires you to enter the following information:

  • Recipient(s): Lists the email address to which the archive created by the Wizard will be sent.

  • Subject: Specifies the subject line of the email that the email will be attached to.

  • Message: Specifies the message that will be sent along with your attachment.


Already Compressed Files

The following is a list that contains examples of the file types that StuffIt will not attempt to compress when the Don't Compress Already Compressed Files preference is set.

Jpeg Images - (.jpeg,.jpg)

Gif Images- (.gif, .giff)

MPEG Movies- (.mpeg, .mpg)

QuickTime Movies- (.mov)

MP3 Music Files- (.mp3)

Real Audio Multi-Media Files - (.ra)

Windows Media Music and Movie Files- (.wma)


Cross Platform Tab

The Cross platform tab contains settings that effect how the StuffIt application will handle files originating from a platform other than Windows. The settings in this tab make it easy for you to exchange files with users who work with Macintosh, Linux, or other Unix based systems.

Convert Text Files to Windows Format

This option can be used to convert text files originating from other platforms so that they are displayed correctly on a Windows based computer. Macintosh, Windows, and Unix based systems all use different characters in a plain text file to signify that a line break should appear. This setting will change the characters used on Macintosh and Unix systems to the character used on Windows. The following settings are available:

When a file is known to contain text: The StuffIt application will scan all files extracted from an archive and try to determine if they contain text. If it is determined that the file contains text, the StuffIt application will attempt to reformat that text to be displayed correctly on Windows computers.

Never: The file will not be altered. This setting is the default, and is best for general use.

Save Macintosh Files in MacBinary Format

Macintosh files are different from Windows files. They contain both a data fork and a resource fork. A Windows formatted hard drive is not able to preserve the resource fork of a Macintosh file, and therefore the resource fork will be lost. Some Macintosh files will work correctly without their data fork, others (including all Macintosh applications) will not. If the archive you are expanding contains Macintosh files, this setting will cause those files to be MacBinary encoded so that they will work correctly when they are transferred to a Macintosh. The following settings are available:

When a File Contains a Resource Fork: Files being extracted from a StuffIt archive will only be MacBinary encoded when they are know to contain a resource fork.

Never: Files being extracted from an archive will never be MacBinary encoded when they are extracted from a StuffIt archive.

Always: Macintosh files will always be MacBinary encoded when they are extracted from an archive, whether or not they contain a resource fork.

Note: The StuffIt Reference Topic "StuffIt and Macintosh Files on NTFS volumes" for more information.

Add File Extenstion

Files that originate from a Macintosh are often compatible with, and can be opened by, Windows applications. However, the problem that most users encounter when they try to open Macintosh files is that the Windows OS does not know what Windows application they should be opened with. This problem is caused by the fact that Windows and Macintosh based computers use different methods to tie a document to an application that is able to open it. A Windows computer uses file extensions (ie the letters at the end of a file name), while Macintosh computers use "Type and Creator" codes that are hidden in the files. The Add File Extension settings determine how the StuffIt application will handle the translation of Macintosh Type and Creator codes into Windows extensions. The following options are available:

Add if no Extension: When this option is selected, the StuffIt application will attempt to add a Windows extension to a file name if none exists.

Never: When this option is selected, the StuffIt application will never try to add a Windows extension.

Always (add or replace): When this option is selected, the StuffIt application will always create a Windows extension for a file. If an existing extension is found, it is replaced.

Next: Associations


Converting Archives to STIX

The Convert Archives dialog is used to convert Zip and StuffIt archives to the new StuffIt X archive file format.

Archives can be added to the dialog using the "Add Archives" button, or you can add archives by dragging and dropping them from the Windows environment. Once you have added all the files you would like to convert, click the "Convert" button to begin the conversion process. Click the Cancel button to Exit the dialog with out converting the archives.

StuffIt supports conversion from the following archive and encoding formats:

  • StuffIt (.sit)

  • Zip (.zip)